<?php

// 这是系统自动生成的公共文件
//实时输出到界面
function showmsg($msg, $class = '')
{
    echo "<script type=\"text/javascript\">showmsg(\"{$msg}\", \"{$class}\")</script>";
    flush();
    ob_flush();
    sleep(1);

}

//远程图片下载
/**
 * 把新浪的远程图片下载到自己服务器上
 *
 * @access  public
 * @param   goods_desc      $goods_desc         要处理的内容
 * @return  mix 如果成功返回缩略图的路径，失败则返回false
 */
function GetCurSinImg($goods_desc,$uid,$url)
{

    $body = stripslashes($goods_desc);
    $img_array = array();
    //获取从新浪复制过来的src的地址
    preg_match_all('/<img.*?src="(.*?)".*?>/is',$body,$img_array);
    $img_array = array_unique($img_array[1]);
    set_time_limit(0);
    $Ymd=date('Ymd');
    $imgurl = app()->getRootPath()."/public/static/conf/".$uid.'/'.$Ymd;

    if(!is_dir($imgurl)) {
        @mkdir($imgurl, 0777);
    }
    if(is_int(strpos($goods_desc, 'http'))){
        $arcurl = str_replace('https://c-oss-img.tentrue.com', 'http://c-oss-img.tentrue.com', $goods_desc);
    } else {
        $arcurl = $url.$goods_desc;
    }
    $img=@file_get_contents($arcurl);
    if(!empty($img)) {
//保存图片到服务器
        $fileimgname = time()."-".rand(1000,9999).".jpg";
        $filecachs=$imgurl."/".$fileimgname;
        $fanhuistr = file_put_contents( $filecachs, $img );
        $saveimgfile =$imgurl.$fileimgname;
        $goods_desc= str_replace($imgurl,$saveimgfile,$goods_desc);
    }
    return $url."/static/conf/".$uid.'/'.$Ymd.'/'.$fileimgname;
}
function create_tree_list($pid, $arr, &$tree = [])
{
    foreach ($arr as $key => $vo) {
        if ($vo['pid'] == $pid) {
            unset($vo['pid']);
            $vo['spread']=true;
            $c = create_tree_list($vo['id'], $arr);

            if ($c) {

                $vo['children'] = $c;
            }
            $tree[] = $vo;
        }
    }
    return $tree;
}
function getMonth($date){
    $firstday = date("Y-m-d H:00:00",strtotime($date));
    $lastday = date("Y-m-d H:59:59",strtotime("$firstday"));
    return array($firstday,$lastday);
}
function getMontday($date){
    $firstday = date("Y-m-d H:00:00",strtotime($date));
    $lastday = date("Y-m-d 23:59:59",strtotime("$firstday"));
    return array($firstday,$lastday);
}
function getMontmonth($date){
    $firstday = date('Y-m-01', strtotime($date));
    $lastday = date('Y-m-d', strtotime("$firstday +1 month -1 day"));
    return array($firstday,$lastday);
}


function index_list($pid, $arr, &$tree = [])
{
    foreach ($arr as $key => $vo) {
        if ($vo['pid'] == $pid) {
            $vo['spread']=true;
            $c = create_tree_list($vo['id'], $arr);

            if ($c) {

                $vo['children'] = $c;
            }
            $tree[] = $vo;
        }
    }
    return $tree;
}
//layui分页
function page_array($arr, $page = 10, $curr)
{

    $total = ceil(count($arr) / $page);
    if ($curr <= 0) $curr = 1;
    if ($curr > $total) $curr = $total;

    $data = array_slice($arr, ($curr - 1) * $page, $page);
    return [
        'data' => $data,
        'page' => [
            'count' => count($arr),
            'limit' => $page,
            'curr' => $curr
        ]
    ];

}
function alert_error($msg='',$url='',$time=2)
{

    $str = '<link rel="stylesheet" type="text/css" href="/static/admin/font/iconfont.css" /><link rel="stylesheet" type="text/css" href="/static/admin/lib/layui/css/layui.css" /><script type="text/javascript" src="/static/admin/js/jquery.min.js"></script> <script type="text/javascript" src="/static/admin/lib/layui/layui.js"></script>';//加载jquery和layer

    $str .= '<div class="layui-container"><div class="fly-panel" style="width: 100%;text-align: center;font-size: 50px;padding-top: 24px"> <div class="fly-none"> <h2><i class="iconfont icon-meh" style="width: 100%;text-align: center;font-size: 120px;color: #f00"></i></h2>  <p style="font-size: 24px;color: #666;margin-top: 50px">'.$msg.'</p> </div></div></div>';
    return $str;
}

function imgres($url){

    $path = $url;
    $mimetype = exif_imagetype($path);
    if ($mimetype == IMAGETYPE_GIF || $mimetype == IMAGETYPE_JPEG || $mimetype == IMAGETYPE_PNG || $mimetype == IMAGETYPE_BMP){
        return true;
    }else {
        return false;
    }
}
function status($data){
   // 启用状态 0待付款 1已付款2已发货3完成交易  4退款关闭 5退款中 6退款异常，7退货完成
    if ($data==0){
        return '待付款';
    }elseif ($data==1){
        return '待发货';
    }elseif ($data==2){
        return '已发货';
    }elseif ($data==3){
        return '完成交易';
    }elseif ($data==4){
        return '退款关闭';
    }elseif ($data==5){
        return '退款中';
    }elseif ($data==6){
        return '退款异常';
    }else{
        return '退货完成';
    }
}
function attr($data){

    if ($data==0){
        return '购买';
    }elseif ($data==1){
        return '团购';
    }elseif ($data==2){
        return '砍一刀';
    }elseif ($data==3){
        return '兑换';
    }elseif ($data==4){
        return '购物车购买';
    }elseif ($data==5){
        return '充值';
    }else{
        return '购买';
    }

}

//清除html标签
function delhtml($str){  //清除html标签
    //$str=strip_tags($str);
    $str=preg_replace("/(\s|\&nbsp\;|　|\xc2\xa0)/", " ", strip_tags($str));
    $st=-1; //开始
    $et=-1; //结束
    $stmp=array();
    $stmp[]=" ";
    $len=strlen($str);

    for($i=0;$i<$len;$i++){

        $ss=substr($str,$i,1);

        if(ord($ss)==60){
            $st=$i;
        }
        if(ord($ss)==62){ //ord(">")==62
            $et=$i;
            if($st!=-1){
                $stmp[]=substr($str,$st,$et-$st+1);
            }
        }
    }

    $str=str_replace($stmp,"",$str);
    return $str;

}
//字符串截取

function cut_str($sourcestr,$cutlength)

{

    $returnstr='';

    $i=0;

    $n=0;

    $str_length=strlen($sourcestr);//字符串的字节数

    while (($n<$cutlength) and ($i<=$str_length))

    {

        $temp_str=substr($sourcestr,$i,1);

        $ascnum=Ord($temp_str);//得到字符串中第$i位字符的ascii码

        if ($ascnum>=224)    //如果ASCII位高与224，

        {

            $returnstr=$returnstr.substr($sourcestr,$i,3); //根据UTF-8编码规范，将3个连续的字符计为单个字符

            $i=$i+3;            //实际Byte计为3

            $n++;            //字串长度计1

        }

        elseif ($ascnum>=192) //如果ASCII位高与192，

        {

            $returnstr=$returnstr.substr($sourcestr,$i,2); //根据UTF-8编码规范，将2个连续的字符计为单个字符

            $i=$i+2;            //实际Byte计为2

            $n++;            //字串长度计1

        }

        elseif ($ascnum>=65 && $ascnum<=90) //如果是大写字母，

        {

            $returnstr=$returnstr.substr($sourcestr,$i,1);

            $i=$i+1;            //实际的Byte数仍计1个

            $n++;            //但考虑整体美观，大写字母计成一个高位字符

        }

        else                //其他情况下，包括小写字母和半角标点符号，

        {

            $returnstr=$returnstr.substr($sourcestr,$i,1);

            $i=$i+1;            //实际的Byte数计1个

            $n=$n+0.5;        //小写字母和半角标点等与半个高位字符宽...

        }

    }

    if ($str_length>$i){

        $returnstr = $returnstr . "...";//超过长度时在尾处加上省略号

    }

    return $returnstr;

}


/**
 * 隐藏部分字符串
 * # 此方法多用于手机号码或身份证号、银行卡号的中间部分数字的隐藏
 */
function func_substr_replace($str, $replacement = '*', $start = 4, $length = 8)
{
    $len = mb_strlen($str,'utf-8');
    if ($len > intval($start+$length)) {
        $str1 = mb_substr($str,0,$start,'utf-8');
        $str2 = mb_substr($str,intval($start+$length),NULL,'utf-8');
    } else {
        $str1 = mb_substr($str,0,1,'utf-8');
        $str2 = mb_substr($str,$len-1,1,'utf-8');
        $length = $len - 2;
    }
    $new_str = $str1;
    for ($i = 0; $i < $length; $i++) {
        $new_str .= $replacement;
    }
    $new_str .= $str2;
    return $new_str;
}


function GetImage($url, $filename = "") {

    if($url == "") {

        return false;

    }

    if ($filename == "") {

        $ext = strrchr($url, ".");

        if ($ext != ".png" && $ext != ".jpg" && $ext != ".jpeg" && $ext != ".gif") {

            return false;

        }

        $filename = app()->getRootPath().'runtime/'.time() . $ext;

    }

    //文件 保存路径

    ob_start ();

    readfile ( $url );

    $img = ob_get_contents ();

    ob_end_clean ();

    $size = strlen ( $img );

    //文件大小

    $fp2 = @fopen ( $filename, "a" );

    fwrite ( $fp2, $img );

    fclose ( $fp2 );

    return $filename;

}

//删除缓存文件目录
function delete_dir_file($dir_name) {
    $result = false;
    if(is_dir($dir_name)){
        if ($handle = opendir($dir_name)) {
            while (false !== ($item = readdir($handle))) {
                if ($item != '.' && $item != '..') {
                    if (is_dir($dir_name . '/' . $item)) {
                        delete_dir_file($dir_name .  '/' . $item);
                    } else {
                        unlink($dir_name .  '/'. $item);
                    }
                }
            }
            closedir($handle);
            if (rmdir($dir_name)) {
                $result = true;
            }
        }
    }
    return $result;
}



function Getwx($url, $filename = "") {

    if($url == "") {

        return false;

    }

    if ($filename == "") {

        $ext = strrchr($url, ".");

        if ($ext != ".png" && $ext != ".jpg" && $ext != ".jpeg" && $ext != ".gif") {

            return false;

        }

        $filename = app()->getRootPath().'runtime/'.time() . $ext;

    }

    //文件 保存路径

    ob_start ();

    readfile ( $url );

    $img = ob_get_contents ();

    ob_end_clean ();

    $size = strlen ( $img );

    //文件大小

    $fp2 = @fopen ( $filename, "a" );

    fwrite ( $fp2, $img );

    fclose ( $fp2 );

    return $filename;

}
//
////图片预览通用
function getpics($file,$height=30){
    //文件路径解码并进行编码转换
    $file=iconv('utf-8','gb2312',urldecode($file));
    if($file_info=@getimagesize($file)){//判断文件是否是有效的图像文件
        $filecontent=file_get_contents($file);//获取图像文件内容
        $base64_file=chunk_split(base64_encode($filecontent));//对图像文件编码并转换
        $pic="data:".$file_info['mime'].";base64,".$base64_file;//组织方便页面显示的图像数据
        return $pic;//返回可直接显示的图像数据
    }
    return "";
}


function basenamecn($file){
    $file=iconv('UTF-8','GB2312',$file);
    if (file_exists($file)){
        $arr=explode('/',$file);
        return iconv('GB2312','UTF-8',end($arr));
    }
}


function format_size($size){
    $arr=['B','KB','M','G','T'];
    $i=0;
    while ($size>=1024){
        $size=$size/1024;
        $i++;
    }
    return round($size,2).$arr[$i];
}


function rules($id,$rules){

    foreach ($rules as $v){
        if ($id==$v){
            return 1;
        }
    }
    return 0;
}

function checkedData($target)
{
    foreach ($target as $v){
        $id[]=$v['id'];
        if (isset($v['children'])){
           foreach ($v['children'] as $v1){
               $id[]=$v1['id'];
               if (isset($v1['children'])) {
                   foreach ($v1['children'] as $v2) {
                       $id[] = $v2['id'];
                       if (isset($v2['children'])) {
                           foreach ($v2['children'] as $v3) {
                               $id[] = $v3['id'];
                               if (isset($v3['children'])) {
                                   foreach ($v3['children'] as $v4) {
                                       $id[] = $v4['id'];
                                   }
                               }
                           }
                       }
                   }
               }
           }
        }
    }
    return $id;

}



////解密算法
function decrypt1($data, $key)
{
    $key = md5($key);
    $x = 0;
    $data = base64_decode($data);
    $len = strlen($data);
    $l = strlen($key);
    $char = "";
    $str = "";
    for ($i = 0; $i < $len; $i++)
    {
        if ($x == $l)
        {
            $x = 0;
        }
        $char .= substr($key, $x, 1);
        $x++;
    }
    for ($i = 0; $i < $len; $i++)
    {
        if (ord(substr($data, $i, 1)) < ord(substr($char, $i, 1)))
        {
            $str .= chr((ord(substr($data, $i, 1)) + 256) - ord(substr($char, $i, 1)));
        }
        else
        {
            $str .= chr(ord(substr($data, $i, 1)) - ord(substr($char, $i, 1)));
        }
    }
    return $str;
}

function encrypt1($data, $key)
{
    $key    =    md5($key);
    $x        =    0;
    $len    =    strlen($data);
    $l        =    strlen($key);
    $char = "";
    $str = "";
    for ($i = 0; $i < $len; $i++)
    {
        if ($x == $l)
        {
            $x = 0;
        }
        $char .= $key{$x};
        $x++;
    }
    for ($i = 0; $i < $len; $i++)
    {
        $str .= chr(ord($data{$i}) + (ord($char{$i})) % 256);
    }
    return base64_encode($str);
}

/**
 * 构造带有签名的关联数组
 */
function GetKeyData($BTKEY){

    $now_time = time();

    $p_data = array(
        'request_token'	=>	md5($now_time.''.md5($BTKEY)),
        'request_time'	=>	$now_time
    );
    return $p_data;
}

function create_tables($hostname,$username,$password,$database,$hostport){
    $db = @mysqli_connect($hostname, $username, $password,$database,$hostport);
    //获取数据表文件内容
    $sql=file_get_contents(app()->getRootPath().'public/data/install.sql');

    $sqlArr=explode(';', $sql);

    foreach ($sqlArr as $k => $v) {

        $v=trim($v);

        if(empty($v)) continue;
        $var=str_replace(array("\r\n"), "", $v);
        if(substr($var, 0, 12) == 'CREATE TABLE'){

            $db->query($v);
        }else{
            $db->query($v);
        }
    }
    mysqli_close($db);
    return 1;

}


function my_scandir($dir){
    $files=array();
    if(is_dir($dir)){
        if($handle=opendir($dir)){
            while(($file=readdir($handle))!==false){
                if($file!="." && $file!=".."){
                    if(is_dir($dir."/".$file)){
                        $files[$file]=my_scandir($dir."/".$file);
                    }else{
                        $files[]=$dir."/".$file;  //获取文件的完全路径
                        $filesnames[]=$file;      //获取文件的文件名称
                    }
                }
            }
        }
    }
    closedir($handle);
    return $files;
    //return $filesnames;
}

//获取url文件大小
function getFileSize($url)
{

    $url = parse_url($url);
    if ($fp = @fsockopen($url['host'], empty($url['port']) ? 80 : $url['port'], $error)) {
        fputs($fp, "GET " . (empty($url['path']) ? '/' : $url['path']) . " HTTP/1.1\r\n");
        fputs($fp, "Host:$url[host]\r\n\r\n");
        while (!feof($fp)) {
            $tmp = fgets($fp);
            if (trim($tmp) == '') {
                break;
            } else if (preg_match('/Content-Length:(.*)/si', $tmp, $arr)) {
                return trim($arr[1]);
            }
        }
        return null;
    } else {
        return null;
    }
}
function heightimage($url,$e){
    $img=getimagesize($url);

    return $img[$e];
}

function BaiDuSite($ur){
    $lines_string = file_get_contents( 'https://apidatav2.chinaz.com/single/baidupc/urlinclude?key=ebcd2d75bfad47559323ea22029fd4df&url='.$ur);
    $are = json_decode($lines_string,true);

    if(isset($are['Result']['IsRecord'])){

        return $are['Result']['IsRecord'];//已收录
    }
    return  2;//未收录
}

function baidukeywords($url,$keywords){
   $api=file_get_contents("https://apidatav2.chinaz.com/single/baidupc/keywordranking?key=ebcd2d75bfad47559323ea22029fd4df&domain=$url&keyword=$keywords");
    $data = json_decode($api,true);
    if (isset($data['Result']['Ranks'])){
        return $data['Result']['Ranks'];
    }else{
        $data=[
           [
               'RankStr'=>'未收录',
               'Title'=>'0',
               'Url'=>'0'
           ]
        ];
        return $data;
    }

}


