<?php
/**
 * Created by PhpStorm.
 * User: HP
 * Date: 2022/3/11
 * Time: 10:20
 */

namespace app\admin\controller;
use think\facade\Db;
use think\facade\View;
use app\admin\model\Cate as CateModel;
class Arccate extends Common
{

    public function index(){
        $Cate= new CateModel();
        //获取栏目
        $_cateRes=Db::name('arc_cate')->order('sort desc ,id desc')->select();
        $cateRes=$Cate->catetree($_cateRes);

        View::assign([
            'cateRes'=>$cateRes
        ]);
        return view();
    }
    public function add(){
        if(request()->isPost()){
            $data=input('post.');

            if($data['keywords']){
                $data['keywords']=str_replace('，', ',', $data['keywords']);
                $data['keywords']=preg_replace('# #','',$data['keywords']);
            }
            $data['cate_name'] = strip_tags($data['cate_name']);
            if (strpos($data['cate_name'], '|')){
                $cate_name=explode('|',$data['cate_name']);
                foreach ($cate_name as $k=>$v){
                    $data['cate_name']=$v;
                    $dataarr[]=$data;
                }
                $add=Db::name('arc_cate')->insertAll($dataarr);
                if($add){
                    return returnjson(1,'添加栏目成功');
                }else{
                    return returnjson(0,'添加栏目失败！');
                }
            }


            $add=Db::name('arc_cate')->insert($data);
            if($add){
                return returnjson(1,'添加栏目成功');
            }else{
                return returnjson(0,'添加栏目失败！');
            }
            return;
        }
        //获取栏目
        $Cate= new CateModel();
        $_cateRes=Db::name('arc_cate')->select();
        $cateRes=$Cate->catetree($_cateRes);
        $id=input('id');
        if (isset($id)){
            $id=$id;
        }else{
            $id='';
        }
        View::assign([
            'cateRes'=>$cateRes,
            'id'=>$id
        ]);

        return view();
    }
    public function edit()
    {
        $Cate= new CateModel();
        if(request()->isPost()){

            $data=input('post.');
            if($data['keywords']){
                $data['keywords']=str_replace('，', ',', $data['keywords']);
                $data['keywords']=preg_replace('# #','',$data['keywords']);
            }
            $data['cate_name'] = strip_tags($data['cate_name']);

            //判断是否隐藏栏目
            $_data=array();
            foreach ($data as $k => $v) {
                $_data[]=$k;
            }
            if(!in_array('status', $_data)){
                $data['status']=1;
            }

            if(isset($data['imgfile'])){
                unset($data['imgfile']);
            }
           // $data['content']= $_GET['content'];
            $save=Db::name('arc_cate')->update($data);

            if($save!==false){
                return returnjson(1,'修改栏目成功');
            }else{
                return returnjson(0,'修改栏目失败！');
            }
            return;
        }

        //获取栏目
        $_cateRes=Db::name('arc_cate')->select();
        $cateRes=$Cate->catetree($_cateRes);
        View::assign([
            'cateRes'=>$cateRes
        ]);
        //接受栏目id
        $cateid=input('cateid');
        $cates=Db::name('arc_cate')->find($cateid);
        $cateimg=Db::name('arc_cate')->field('img')->find($cateid);

        $mobile=$cates['mobile'];



        View::assign(array(
            'cateRes'=>$cateRes,
            'cates'=>$cates,
            'cateimg'=>$cateimg,
            'mobile'=>$mobile,
        ));
        return view();

    }
    public function del($cateid){

        $sid=(new CateModel())->childrenids($cateid);
        $sid[]=intval($cateid);

       $del= Db::name('arc_cate')->delete($sid);
        if($del){
            return json(['code'=>1,"msg"=>'删除成功']);
        }else{
            return json(['code'=>0,"msg"=>'删除失败']);
        }
    }
    //获取子栏目id


    public function setsort(){
        $cid=input('post.id');
        $sort=input("post.sort");
        $result=Db::name('arc_cate')->save(['id' => $cid, 'sort'  => $sort]);
        if($result==1){
            return json(['code'=>1,"msg"=>'更新成功']);
        }else{
            return json(['code'=>0,"msg"=>'更新失败']);
        }
    }

}