<?php
/**
 * Created by PhpStorm.
 * User: HP
 * Date: 2022/3/28
 * Time: 12:35
 */

namespace app\admin\controller;
use think\facade\Db;
use think\facade\View;
use app\admin\model\AuthRule as AuthRuleModel;
use app\admin\validate\AuthRule as AuthRulevalidate;
use think\exception\ValidateException;
class AuthRule extends Common
{
    public function index(){
//        $title='Arccate';
//
//       $authRule=  Db::name('auth_rule')->where('name','LIKE',"%$title%")->select();
//        dump($authRule);die;
        $ruleRes= Db::name('authRule')->order('sort desc,id desc')->select();
        $authRule=new AuthRuleModel();
        $ruleTree=$authRule->ruletree($ruleRes);
     
        View::assign([
            'ruleTree'=>$ruleTree,
        ]);

        return view();
    }
    public function add(){
        if(request()->isPost()){
           $data= input('post.');
            try {
                $result =  validate(AuthRulevalidate::class)->scene('add')->check($data);
            } catch (ValidateException $e) {
                // 验证失败 输出错误信息
                return returnjson(0,$e->getError());

            }
           $add= AuthRuleModel::getadd($data);
           return $add;
        }
        $id=input('id');
       if (!isset($id)){
           $id='';
       }else{
           $id=input('id');
       }
        $ruleRes=Db::name('authRule')->order('sort desc,id desc')->select();
        $authRule=new AuthRuleModel();
        $ruleTree=$authRule->ruletree($ruleRes);

        View::assign([
            'ruleTree'=>$ruleTree,
            'id'=>$id
        ]);
        return view();
    }

    public function edit($id)
    {
        if(request()->isPost()){
            $data=input('post.');
           
            try {
                $result =  validate(AuthRulevalidate::class)->scene('add')->check($data);
            } catch (ValidateException $e) {
                // 验证失败 输出错误信息
                return returnjson(0,$e->getError());
//1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,108,106,107,109,110,111,112,113,114,115,116
            }
            return AuthRuleModel::getedit($data);

        }
        $id=input('id');
        $rules=Db::name('authRule')->find($id);
        $ruleRes=Db::name('authRule')->order('sort desc,id desc')->select();
        $authRule=new AuthRuleModel();
        $ruleTree=$authRule->ruletree($ruleRes);
        View::assign([
            'ruleTree'=>$ruleTree,
            'rules'=>$rules,
        ]);
        return view();
    }

    //排序
    public function setsort(){
        $cid=input('post.id');
        $sort=input("post.sort");
        $result=Db::name('authRule')->save([
            'sort'  => $sort,'id' => $cid
        ]);
        if($result==1){
            return json(['code'=>1,"msg"=>'更新成功']);
        }else{
            return json(['code'=>0,"msg"=>'更新失败']);
        }
    }

    //规则
    public function name(){
        $cid=input('post.id');
        $sort=input("post.sort");
        $result=Db::name('authRule')->save([
            'name'  => $sort,'id' => $cid
        ]);
        if($result==1){
            return json(['code'=>1,"msg"=>'更新成功']);
        }else{
            return json(['code'=>0,"msg"=>'更新失败']);
        }
    }
    /**
     * 图标
     */
    public function icon(){
        $cid=input('post.id');
        $sort=input("post.sort");
        $result=Db::name('authRule')->save([
            'icon'  => $sort,'id' => $cid
        ]);
        if($result==1){
            return json(['code'=>1,"msg"=>'更新成功']);
        }else{
            return json(['code'=>0,"msg"=>'更新失败']);
        }
    }

    public function del($id){
      $data=  Db::name('auth_rule')->where('pid','=',$id)->select()->column('id');
        $data[]=$id;
        $del=Db::name('auth_rule')->delete($data);
        if ($del){
            return returnjson(1,'删除成功');
        }

        return returnjson(0,'删除失败');
    }



}