<?php
/**
 * Created by PhpStorm.
 * User: HP
 * Date: 2022/4/21
 * Time: 11:42
 */

namespace app\admin\controller;
use think\facade\View;
use think\facade\Db;

use app\admin\model\Links as LinksModel;
class Links extends Common
{
    public function index(){

        $links=Db::name('links')->order('id desc')->withAttr('status',function ($value){
           if($value==1){
               return '启用';
           }else{
               return '关闭';
           }

        })->paginate(20);
        View::assign([
            'links'=>$links
        ]);
        return view();
    }
    public function add(){

        if (request()->isPost()){
            $data=input('post.');
            $add=LinksModel::GetAdd($data);
            return $add;
        }
        return view();
    }
    public function edit(){
        if (request()->isPost()){
            $data=input('post.');
            $add=LinksModel::GetEdit($data);
            return $add;
        }
        $id=input('id');
        $links=Db::name('links')->find($id);
        View::assign([
            'links'=>$links
        ]);
        return view();
    }
    public function del($id){
        $del=Db::name('links')->delete($id);
        if ($del){
            return returnjson(1,'删除成功');
        }
        return returnjson(0,'删除失败');
    }
}