<?php
/**
 * Created by PhpStorm.
 * User: pc
 * Date: 2021/4/12
 * Time: 13:18
 */

namespace app\admin\model;

use think\Model;

use PhpOffice\PhpWord\PhpWord;
use PhpOffice\PhpWord\IOFactory;
use think\facade\Request;
class Word extends Model
{
    protected $name='pay';
   //获取文档信息转html
    public  function wordhtml($tempDocx){
       $titie= explode('/',$tempDocx);
        $titie= explode('.',array_pop($titie));



        $objWriter = IOFactory::createWriter(IOFactory::load($tempDocx), 'HTML');
        $dirHtml =app()->getRootPath().'runtime/wordhtml/';
        $tempHtml=$dirHtml.time().'.html';
        if (!file_exists($dirHtml)){
            mkdir($dirHtml, 0700, true);

        }
        $objWriter->save($tempHtml);
        //读取HTML内容 截取body
        $html=file_get_contents($tempHtml);
        $html = substr($html,stripos($html,'<body>')+6);//截取需要显示部分开始
        $html = substr($html,0,strripos($html,'</body>'));//截取需要显示部分结束
        $html = $this->saveImage($html);
        $arr['title']=$titie[0];
        $arr['content']=$html;
        @unlink($tempHtml);
        return $arr;
    }

    //图片站64位
    public function saveImage($html){
        ini_set('pcre.backtrack_limit', 9999999);
        preg_match_all('/]*src="([\s\S]*?)"\/>/', $html,$imageMatches);

        if (!$imageMatches[1]) {
            return $html;
        }
        foreach ($imageMatches[1] as $k=>$imgurl) {

                $arcurl = $this->saveLocalBase64Image($imgurl);
                if ($arcurl){
                    $img=file_get_contents($arcurl);
                    if(!empty($img)) {
                        $html=str_replace($imgurl,$arcurl,$html);
                    }
                }



        }
        return $html;
//        $imageUrl = [];
//        foreach ($imageMatches[1] as $image) {
//            $imageUrl[] = $this->saveLocalBase64Image($image);
//        }
//        return str_replace($imageMatches[1], $imageUrl, $html);
    }


    //64位图片解析 转 图片本地化
    private function saveLocalBase64Image($base64_image_content){
        $imge_web_url = '';

        if (preg_match('/^(data:\s*image\/(\w+);base64,)/', $base64_image_content, $result)){
//图片后缀

            $type = $result[2];

//保存位置--图片名
           $in= rand(1000000, 9999999);
            $image_name = time().'_'.$in. '.' . $type; //图片名称

            $image_file_path = app()->getRootPath().'public/static/word';

            $image_file =  $image_file_path;

            $imge_real_url = $image_file . DIRECTORY_SEPARATOR . $image_name;

            $imge_web_url = $image_file_path . DIRECTORY_SEPARATOR . $image_name;

            if (!file_exists($image_file)){
                mkdir($image_file, 0700, true);

            }

//解码

            $decode = base64_decode(str_replace($result[1], '', $base64_image_content));

            $res = file_put_contents($imge_real_url, $decode);

            return Request::domain().'/static/word/'.$image_name;

        }

        return $imge_web_url;

    }

}