<?php
// +----------------------------------------------------------------------
// | 模板设置
// +----------------------------------------------------------------------

return [
    // 模板引擎类型使用Think
    'type'          => 'Think',
    // 默认模板渲染规则 1 解析为小写+下划线 2 全部转换小写 3 保持操作方法
    'auto_rule'     => 1,
    // 模板目录名
    'view_dir_name'    => '../template/',
    // 模板后缀
    'view_suffix'   => 'html',
    // 模板文件名分隔符
    'view_depr'     => DIRECTORY_SEPARATOR,
    // 模板引擎普通标签开始标记
    'tpl_begin'     => '{',
    // 模板引擎普通标签结束标记
    'tpl_end'       => '}',
    // 标签库标签开始标记
    'taglib_begin'  => '{',
    // 标签库标签结束标记
    'taglib_end'    => '}',
    'tpl_replace_string' => [
        '__TEMPCSS__'=>'/static/index',
       
    ],
    // 是否开启请求缓存 true自动缓存 支持设置请求缓存规则
    'request_cache'          => true,
    'HTML_CACHE_ON'   => true,     	// 开启静态缓存
    'HTML_CACHE_TIME' => 20,   	// 全局静态缓存有效期(秒)(3600*24*7)
    'HTML_FILE_SUFFIX'=> '.html',  	// 设置静态缓存文件后缀

];
