<?php
/**
 *获取商品列表
 */

namespace app\template\model;


use think\facade\Db;
use think\Model;

class Product extends Model
{
    public function ProductList($id){

        $product=Db::name('product')->withAttr('type_sel', function ($value) {
            return json_decode($value);
        })
            ->withAttr('img', function ($value) {
                $pics = explode(',', $value);//栏目id
                $picsarr=[];
                foreach ($pics as $v) {
                    $picsarr[] = $v;
                    // $picsarr[] = Imagesurl::conf() . str_replace('\\', '/', $v);
                }
                return $picsarr;
            })
            ->withAttr('time', function ($value) {
                return date('Y-m-d', $value);
            })
            ->withAttr('content', function ($value) {
                if ($value !== '') {
                    $desceditorsplit = explode('[desceditorsplit]', $value);

                    foreach ($desceditorsplit as $v) {
                        $desceres[] = explode('::', $v);
                    }

                    foreach ($desceres as $k => $v) {
                        if ($v[0] == 2) {
                            $desceres[$k][0] = $v[0];

                            if (gethttp($v[1])==true){
                                $desceres[$k][1] = $v[1];
                            }else{
                                $desceres[$k][1] = Imagesurl::conf() . str_replace('\\', '/', $v[1]);
                            }

                            //  $desceres[$k][1] = Imagesurl::conf() . str_replace('\\', '/', $v[1]);
                        }
                    }

                    return $desceres;
                }
            })
            ->find($id);

        $cate_id= Db::name('product_id')->where('aid','=',$id)->field('cate_id')->find();
        $product_mode = Db::name('product_mode')->where('aid', $id)->select()->toArray();


        $product_size = Db::name('product_size')->where('aid', $id)
            ->withAttr('img', function ($value) {
                if ($value !== '') {
                    if (gethttp($value)==true){
                        return $value;
                    }else{
                        return Imagesurl::conf() . str_replace('\\', '/', $value);
                    }
                }
                return '';
            })
            ->select()->toArray();
        $product['product_mode']=$product_mode;
        $product['product_size']=$product_size;
        $product['cate_id']=$cate_id['cate_id'];
        return $product;
    }

    public function Productpos($id){
        static  $pos=array();
        if (empty($pos)){
            $cates=Db::name('cate')->field('id,pid,cate_name')->find($id);
            $pos[]=$cates;
        }
        $data=Db::name('cate')->field('id,pid,cate_name')->select();//所有栏目ID
        $cates=Db::name('cate')->field('id,pid,cate_name')->find($id);//当前栏目ID
        foreach ($data as $k=>$v){
            if ($cates['pid']==$v['id']){
                $pos[]=$v;
                $this->Productpos($v['id']);
            }
        }
        return array_reverse($pos);
    }

}