﻿INSERT INTO `tp_auth_group` VALUES (1,'系统管理员',1,'135,140,139,138,137,136,27,120,28,89,107,7,15,21,20,19,18,17,16,8,172,155,14,13,12,11,10,9,122,125,130,129,124,156,123,180,178,177,176,132,131,128,127,126,99,182,153,105,104,103,102,101,100,90,106,183,133,92,173,108,98,97,96,95,94,93,134,91,115,114,113,112,1,58,174,162,67,2,154,5,4,3,53,77,76,75,54,118,117,171,170,169,168,167,166,193,192,191,121,179,164,119,181,184,189,188,187,186,185,42,88,111,110,109,51,45,50,49,48,47,46,44,43,6',0);

INSERT INTO `tp_auth_rule` VALUES (173,'/Archives/del','文档删除',1,1,'',92,'',0,50),(174,'/admin/status_vip','会员等级设置',1,1,'',58,'',0,50),(175,'/cate/setsort','商品栏目排序',1,1,'',23,'',0,50),(176,'/Model/modeladd','添加模型',1,1,'',123,'',0,50),(177,'/Model/modeledit','修改模型',1,1,'',123,'',0,50),(178,'/Model/ajaxdel','表单字段删除',1,1,'',123,'',0,50),(179,'/Sms/del','用户留言删除',1,1,'',121,'',0,50),(180,'/Model/setsort','表单管理-排序',1,1,'',123,'',0,50),(181,'/Sitemap/baidu','百度快速收录提交',1,1,'',118,'',1,47),(182,'/Weixin/cateadd','微信自定义菜单',1,1,'',99,'',1,50),(183,'/Conf/baiduconf','百度收录配置',1,1,'',90,'',0,50),(184,'/Note/lst','文章采集',1,1,'',118,'',1,46),(185,'/Note/addlistrules','创建采集任务',1,1,'',184,'',0,50),(186,'/Note/edit','采集任务编辑',1,1,'',184,'',0,50),(187,'/Note/showCaiji','采集任务执行',1,1,'',184,'',0,50),(188,'/Note/del','采集任务删除',1,1,'',184,'',0,50),(189,'/Note/copy','采集任务复制',1,1,'',184,'',0,50),(191,'/Sitemap/baidusite','百度收录查询',1,1,'',118,'',1,50),(192,'/Kefu/index','智能客服',1,1,'',118,'',1,50),(193,'/Kefu/rg','人工客服',1,1,'',118,'',1,50);

DROP TABLE IF EXISTS `tp_click`;
CREATE TABLE `tp_click` (
  `id` mediumint(8) NOT NULL AUTO_INCREMENT,
  `pay_id` int(11) NOT NULL COMMENT '//产品id',
  `arc_id` int(11) NOT NULL COMMENT '文章id',
  `time` int(11) NOT NULL,
  `operate_ip` varchar(20) NOT NULL,
  `cid` int(11) NOT NULL COMMENT '栏目访问统计',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `tp_rg`;
CREATE TABLE `tp_rg` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `uidip` varchar(20) NOT NULL COMMENT '提问者',
  `cid` varchar(20) NOT NULL COMMENT '回答者',
  `content` longtext NOT NULL COMMENT '回答内容',
  `time` int(11) NOT NULL COMMENT '时间',
  `status` int(11) NOT NULL COMMENT '状态',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

DROP TABLE IF EXISTS `tp_kefu`;
CREATE TABLE `tp_kefu` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `question` tinytext COMMENT '//问题',
  `keywords` varchar(150) NOT NULL COMMENT '关键词',
  `content` longtext NOT NULL COMMENT '答案',
  `time` int(10) NOT NULL DEFAULT '0' COMMENT '添加时间',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '启用状态 1：审核通过 0：待审核',
  `uid` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='客服回答设置' AUTO_INCREMENT=4 ;

DROP TABLE IF EXISTS `tp_html`;
CREATE TABLE `tp_html` (
  `id` mediumint(9) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `nid` mediumint(9) NOT NULL COMMENT '节点id',
  `title` varchar(150) NOT NULL COMMENT '文章标题',
  `url` varchar(150) NOT NULL COMMENT '文章采集地址',
  `addtime` int(10) NOT NULL COMMENT '采集时间',
  `export` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否导出：0 未导出 1：已导出',
  `result` longtext NOT NULL COMMENT '采集文章结果集',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=53 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='文章采集缓存中间表';

DROP TABLE IF EXISTS `tp_note`;
CREATE TABLE `tp_note` (
  `id` mediumint(9) NOT NULL AUTO_INCREMENT COMMENT '节点id',
  `note_name` varchar(60) NOT NULL COMMENT '节点名称',
  `model_id` mediumint(9) NOT NULL COMMENT '所属模型',
  `output_encoding` varchar(30) NOT NULL COMMENT '输出编码',
  `input_encoding` varchar(30) NOT NULL COMMENT '输入编码',
  `baseurl` varchar(60) DEFAULT NULL,
  `addtime` int(10) NOT NULL COMMENT '添加时间',
  `lasttime` int(10) NOT NULL COMMENT '最后采集时间',
  `list_rules` varchar(255) NOT NULL COMMENT '列表采集规则',
  `item_rules` longtext NOT NULL COMMENT '内容采集规则',
  `imgurl` varchar(255) DEFAULT NULL,
  `uid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='采集表';


alter table tp_weixin add sort  int(11) NOT NULL DEFAULT '10' COMMENT '排序';

alter table tp_archives add arr_status  tinyint(1) NOT NULL COMMENT '视频类型';

alter table tp_image add uiid  int(11) NOT NULL COMMENT '用户id';

alter table tp_conf add baidu  text NOT NULL COMMENT '百度收录配置',

alter table tp_arc_cate add mobile  varchar(255) NOT NULL;