var cols_arr=[[

    {field: 'id', width: 60, title: 'ID', sort: true,align: 'center'}
    , {field: 'item_name', title: '文章标题',toolbar: '#item_name'}
    // , {field: 'img', title: '封面图',toolbar: '#img',width: 80,align: 'center'}
    , {field: 'frequency', title: '总库存',width: 80,align: 'center'}
    , {field: 'sales',  title: '销量',width: 80,align: 'center'}
    , {field: 'price',  title: '销售价',width: 80,align: 'center',sort: true}
    , {field: 'time_start',  title: '时间',width: 160,align: 'center',sort: true }
    , {field: 'item_type', title: '活动类型',width: 100,align: 'center'} //minWidth：局部定义当前单元格的最小宽度，layui 2.2.1 新增
    , {field: 'status',  title: '状态',width: 80,toolbar: '#status' }
    , {field: 'cz', width: 180, title: '操作', toolbar: '#barDemo', align: 'center', fixed: 'right'}
]];
var response={
    statusName: 'status' //规定数据状态的字段名称，默认：code
    , statusCode: 200 //规定成功的状态码，默认：0
    , msgName: 'hint' //规定状态信息的字段名称，默认：msg
    , countName: 'total' //规定数据总数的字段名称，默认：count
    , dataName: 'rows' //规定数据列表的字段名称，默认：data
};
layui.use(['layer', 'form', 'table','laydate','util','dropdown'], function () {
    var dropdown = layui.dropdown;
    var layer = layui.layer;
    var util = layui.util;
    var form = layui.form;
    var table = layui.table;
    var laydate = layui.laydate;

    form.on('select(aihao)', function(data){

        table.render({
            elem: '#demo'
            , page: true //开启分页
            , limit: 10
            , limits: [10, 15, 20, 25, 30, 35, 40, 45, 50, 100]
            , url: '/Actmarketing/lstselect?id='+data.value
            , cols: cols_arr
            , response: response
        });
    })


    //触发事件
    table.render({
        elem: '#demo'
        , page: true //开启分页
        , limit: 10
        , limits: [10, 15, 20, 25, 30, 35, 40, 45, 50, 100]
        , url: '/Actmarketing/lstselect'
        , cols: cols_arr
        , response: response
    });

    table.on('tool(demo)', function(obj){
        var that = this
            ,data = obj.data;
        var id=obj.data.id;
        if(obj.event === 'more'){
            //更多下拉菜单
            dropdown.render({
                elem: that
                ,show: true //外部事件触发即显示
                ,data: [{
                    title: '上架'
                    ,id: 'shang'
                }, {
                    title: '下架'
                    ,id: 'xia'
                }, {
                    title: '删除'
                    ,id: 'del'
                }]
                ,click: function(data, othis){
                    //根据 id 做出不同操作
                    if(data.id === 'del'){
                        layer.confirm('真的删除行么', function(index){
                            var data={id:id}
                            $.ajaxDirect("/Actmarketing/del",'post', data, function(res){
                                if (res.code==1) {
                                    layer.msg(res.msg,function () {
                                        obj.del();
                                        layer.close(index);
                                    });
                                }else{
                                    layer.msg(res.msg);
                                }
                            });



                        });
                    } else if (data.id === 'xia') {
                        var data={id:id}
                        $.ajaxDirect("/Actmarketing/getxia",'post', data, function(res){
                            if (res.code==1) {
                                setTimeout('window.location.reload()',1000);
                            }else{
                                layer.msg(res.msg);
                            }
                        });


                    }else {
                        var data={id:id}
                        $.ajaxDirect("/Actmarketing/getshang",'post', data, function(res){
                            if (res.code==1) {
                                setTimeout('window.location.reload()',1000);
                            }else{
                                layer.msg(res.msg);
                            }
                        });


                    }
                }
                ,align: 'right' //右对齐弹出（v2.6.8 新增）
                ,style: 'box-shadow: 1px 1px 10px rgb(0 0 0 / 12%);' //设置额外样式
            });
        }
    });
});
/*添加*/
function admin_add(title,url,w,h){
    x_admin_show(title,url,w,h);
}
// 编辑
function banner_edit (title,url,id,w,h) {
    x_admin_show(title,url,w,h);
}
function member_del(obj,id){
    layer.confirm('确认要删除吗？',function(index){
        //发异步删除数据
        $.post("/Links/del",{id:id},function (res) {
            layer.msg(res.msg,{time:1000},function () {
                if (res.code==1) {
                    $(obj).parents("tr").remove();
                }
            })
        },'json').error(function (err) {
            layer.msg(err['responseJSON']['message'],function () {
                location.reload();
            });
        });
    });
}
