var cols_arr=[[
    {field: 'id',  title: 'ID',width: 60,align: 'center'}
    ,{field: 'title', title: '标题',minWidth: 160}
    ,{field: 'status', title: '状态',width: 120,toolbar: '#status',align: 'center'}
    , {field: 'cz', width: 200, title: '操作', toolbar: '#barDemo', align: 'center', fixed: 'right'}
]];
var response={
    statusName: 'status' //规定数据状态的字段名称，默认：code
    , statusCode: 200 //规定成功的状态码，默认：0
    , msgName: 'hint' //规定状态信息的字段名称，默认：msg
    , countName: 'total' //规定数据总数的字段名称，默认：count
    , dataName: 'rows' //规定数据列表的字段名称，默认：data
};
layui.use(['layer', 'form', 'table','laydate','util','dropdown'], function () {
    var dropdown = layui.dropdown;
    var layer = layui.layer;
    var util = layui.util;
    var form = layui.form;
    var table = layui.table;
    var laydate = layui.laydate;
    //触发事件
    table.render({
        elem: '#demo'
        , page: true //开启分页
        , limit: 10
        , limits: [10, 15, 20, 25, 30, 35, 40, 45, 50, 100]
        , url: '/AuthGroup/select'
        , cols: cols_arr
        , response: response
    });
    //自定义验证规则
    form.verify({
        title: function(value){
            if(value.length < 2){
                return '用户组名不能为空或少于2个字符';
            }
        }

        ,content: function(value){
            layedit.sync(editIndex);
        }
    });
    //监听提交
    form.on('submit(saveadd)',
        function (data) {

            $.post("/AuthGroup/add", data.field, function (res) {
                var alert_index;
                //发异步，把数据提交给php
                alert_index = layer.alert(res.msg, {
                        icon: 6
                    },
                    function () {
                        if (res.code == 1) {
                            // 获得frame索引
                            var index = parent.layer.getFrameIndex(window.name);
                            //关闭当前frame
                            parent.layer.close(index);
                        }
                        layer.close(alert_index)
                    });
            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });

            return false;
        });
    form.on('submit(saveedit)',
        function (data) {

            $.post("/AuthGroup/edit", data.field, function (res) {
                var alert_index;
                //发异步，把数据提交给php
                alert_index = layer.alert(res.msg, {
                        icon: 6
                    },
                    function () {
                        if (res.code == 1) {
                            // 获得frame索引
                            var index = parent.layer.getFrameIndex(window.name);
                            //关闭当前frame
                            parent.layer.close(index);
                        }
                        layer.close(alert_index)
                    });
            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });

            return false;
        });


});

/*添加*/
function admin_add(title,url,w,h){
    x_admin_show(title,url,w,h);
}
// 编辑
function banner_edit (title,url,id,w,h) {
    x_admin_show(title,url,w,h);
}
function member_del(obj,id){

    layer.confirm('确认要删除吗？',function(index){
        //发异步删除数据
        $.post("/AuthGroup/del",{id:id},function (res) {
            layer.msg(res.msg,{time:1000},function () {
                if (res.code==1) {
                    $(obj).parents("tr").remove();
                }
            })
        },'json').error(function (err) {
            layer.msg(err['responseJSON']['message'],function () {
                location.reload();
            });
        });
    });
}