layui.use(['layer', 'form', 'table', 'laydate', 'util', 'dropdown'], function () {
    var dropdown = layui.dropdown;
    var layer = layui.layer;
    var util = layui.util;
    var form = layui.form;
    var table = layui.table;
    var laydate = layui.laydate;
    form.on('submit(saveadd)',
        function (data) {

            $.post("/Group/add", data.field, function (res) {
                if (res.code == 1) {
                    layer.msg(res.msg,function () {
                        window.location.reload();
                    });


                }
            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });

            return false;
        });

    form.on('submit(urladd)',
        function (data) {
            var id=$("#siteid").val();
            var url=$("#url").val();
            var webname=$("#webname").val();

            $.post("/Group/urladd", {id:id,url:url,webname:webname}, function (res) {
                layer.msg(res.msg,function () {
                    location.reload();
                })
                
            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });

            return false;
        });

    //栏目创建
    form.on('submit(cateadd)',
        function (data) {


            $.post("/Group/cateadd",  data.field, function (res) {
                layer.msg(res.msg,function () {
                    location.reload();
                })

            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });

            return false;
        });
    //修改创建
    form.on('submit(cateedit)',
        function (data) {
            $.post("/Group/cateedit",  data.field, function (res) {
                layer.msg(res.msg,function () {
                    location.reload();
                })

            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });

            return false;
        });
    //删除
    form.on('submit(catedel)',
        function (data) {
            $.post("/Group/catedel",  data.field, function (res) {
                layer.msg(res.msg,function () {
                    location.reload();
                })

            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });

            return false;
        });
    //动态筛选

    form.on('select(pidtype)',
        function (data) {

            window.location.href = '/Group/index?id='+data.value;
            return false;
        });
    //修改分类
    form.on('submit(namedelpid)',
        function (data) {
            $.post("/Group/cateedit",  data.field, function (res) {
                layer.msg(res.msg,function () {
                    location.reload();
                })
                return false;
            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });
            return false;
        });

    form.on('submit(siteName)',
        function (data) {

            $.post("/Group/SetPHPVersion", data.field, function (res) {
                layer.msg(res.msg,function () {
                    location.reload();
                })

            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });

            return false;
        });

    form.on('submit(saveedit)',
        function (data) {

            $.post("/Group/edit", data.field, function (res) {
                layer.msg(res.msg,function () {
                    window.location.reload();
                });
            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });

            return false;
        });
    form.on('submit(publicadd)',
        function(data) {
            var id=$("#id").val();
            var path=$("#path").val();
            $.post("/Group/public",{id:id,path:path},function (res) {
                layer.msg(res.msg,function () {
                    location.reload();
                })
            },'json');
            return false;
        });
    //初演示
    dropdown.render({
        elem: '.demolist'
        ,data: [{
            title: '编辑'
            ,id: 0
        },{
            title: '操作选择'
            ,id: 1
        },{
            title: '创建空白模板'
            ,id: 2
        },{
            title: '网站目录'
            ,id: 5
        }]
        ,click: function(data, othis){
            var elem = $(this.elem)
                ,listId = elem.data('id')
                ,path=elem.data('path'); //表格列表的预埋数据

            if(data.id==0){
                banner_edit('编辑','/group/edit?id='+listId,500,700)
            }else if(data.id==1){
                xz(listId)
            }else if (data.id==2){
                addata(listId)
            }else if (data.id==5){
                banner_edit('入口文件设置','/group/public?id='+listId+'&path='+path,500,600)
            }else {
                layer.msg('系统错误');
            }

            //public
        }
    });

});
function addata(id) {
    var index = layer.load(1, {
        shade: [0.1,'#fff'] //0.1透明度的白色背景
    });
    $.post("/Group/demo",{id: id}, function (res) {
        layer.close(layer.index,{isOutAnim:true});
        layer.msg(res.msg,function () {
            location.reload();
        })
    }, 'json');
}
function member_del(id,status) {
    $.post("/Group/del",{id: id,status:status}, function (res) {
        layer.msg(res.msg,function () {
            location.reload();
        })
    }, 'json');
}
/*添加*/
function admin_add(title,url,w,h){
    x_admin_show(title,url,w,h);
}
// 编辑
function banner_edit (title,url,id,w,h) {
    x_admin_show(title,url,w,h);
}

function xz(id) {

    $.post("/Group/xz", {id: id}, function (res) {
        layer.msg(res.msg,function () {
            top.location.reload();
        })
    }, 'json').error(function (err) {
        layer.msg(err['responseJSON']['message'],function () {
            location.reload();
        });
    });
}
//删除域名
function urldel(id,webname,name,port) {

    $.post("/Group/WebDelDomain", {id: id,webname:webname,name:name,port:port}, function (res) {
        layer.msg(res.msg,function () {
            location.reload();
        })
    }, 'json').error(function (err) {
        layer.msg(err['responseJSON']['message'],function () {
            location.reload();
        });
    });

}