
layui.use(['layer', 'form', 'table', 'laydate', 'util', 'dropdown'], function () {
    var dropdown = layui.dropdown;
    var layer = layui.layer;
    var util = layui.util;
    var form = layui.form;
    var table = layui.table;
    var laydate = layui.laydate;
    form.on('submit(saveadd)',
        function (data) {

            $.post("/Links/add", data.field, function (res) {
                var alert_index;
                //发异步，把数据提交给php
                alert_index = layer.alert(res.msg, {
                        icon: 6
                    },
                    function () {
                        if (res.code == 1) {
                            // 获得frame索引
                            var index = parent.layer.getFrameIndex(window.name);
                            //关闭当前frame
                            parent.layer.close(index);
                        }
                        layer.close(alert_index)
                    });
            });

            return false;
        });
    form.on('submit(saveedit)',
        function (data) {

            $.post("/Links/edit", data.field, function (res) {
                var alert_index;
                //发异步，把数据提交给php
                alert_index = layer.alert(res.msg, {
                        icon: 6
                    },
                    function () {
                        if (res.code == 1) {
                            // 获得frame索引
                            var index = parent.layer.getFrameIndex(window.name);
                            //关闭当前frame
                            parent.layer.close(index);
                        }
                        layer.close(alert_index)
                    });
            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });

            return false;
        });
    form.on('radio(dir)', function (data) {
        console.log(data.value)
        if (data.value==1){
            $("*[name='imgurl']").val('');
            $(".dir").css('display','block');
            $(".dirurl").css('display','none');
        }else {
           var url= $("*[name='img']").val();
            $("*[name='imgurl']").val(url);
            $(".dirurl").css('display','block');
            $(".dir").css('display','none');
        }
    });
});

function member_del(obj,id){
    layer.confirm('确认要删除吗？',function(index){
        //发异步删除数据
        $.post("/Links/del",{id:id},function (res) {
            layer.msg(res.msg,{time:1000},function () {
                if (res.code==1) {
                    $(obj).parents("tr").remove();
                }
            })
        },'json').error(function (err) {
            layer.msg(err['responseJSON']['message'],function () {
                location.reload();
            });
        });
    });
}
/*添加*/
function admin_add(title,url,w,h){
    x_admin_show(title,url,w,h);
}
// 编辑
function banner_edit (title,url,id,w,h) {
    x_admin_show(title,url,w,h);
}