

var cols_arr=[[
    {field: 'id', width: 60, title: 'ID'}
    , {field: 'model_name', title: '模型名称'}
    , {field: 'table_name', title: '附加表名',toolbar: '#table_name'}
    , {field: 'status',  title: '启用状态',toolbar: '#status'}
    , {field: 'cz', width: 180, title: '操作', toolbar: '#barDemo', align: 'center', fixed: 'right'}
]];
var response={
    statusName: 'status' //规定数据状态的字段名称，默认：code
    , statusCode: 200 //规定成功的状态码，默认：0
    , msgName: 'hint' //规定状态信息的字段名称，默认：msg
    , countName: 'total' //规定数据总数的字段名称，默认：count
    , dataName: 'rows' //规定数据列表的字段名称，默认：data
};
layui.use(['layer', 'form', 'table','laydate','util','dropdown'], function () {
    var dropdown = layui.dropdown;
    var layer = layui.layer;
    var util = layui.util;
    var form = layui.form;
    var table = layui.table;
    var laydate = layui.laydate;

    //触发事件
    table.render({
        elem: '#demo'
        , page: true //开启分页
        , limit: 10
        , limits: [10, 15, 20, 25, 30, 35, 40, 45, 50, 100]
        , url: '/Model/store'
        , cols: cols_arr
        , response: response
    });


    form.on('submit(saveadd)',
        function(data) {

            $.post("/Model/add",data.field,function (res) {
                var alert_index;
                //发异步，把数据提交给php
                alert_index=layer.alert(res.msg, {
                        icon: 6
                    },
                    function() {
                        if (res.code==1){
                            // 获得frame索引
                            var index = parent.layer.getFrameIndex(window.name);
                            //关闭当前frame
                            parent.layer.close(index);
                        }
                        layer.close(alert_index)
                    });
            });

            return false;
        });
    form.on('submit(saveedit)',
        function(data) {

            $.post("/Model/edit",data.field,function (res) {
                var alert_index;
                //发异步，把数据提交给php
                alert_index=layer.alert(res.msg, {
                        icon: 6
                    },
                    function() {
                        if (res.code==1){
                            // 获得frame索引
                            var index = parent.layer.getFrameIndex(window.name);
                            //关闭当前frame
                            parent.layer.close(index);
                        }
                        layer.close(alert_index)
                    });
            });

            return false;
        });

    form.on('submit(modeladd)',
        function(data) {

            $.post("/Model/modeladd",data.field,function (res) {
                var alert_index;
                //发异步，把数据提交给php
                alert_index=layer.alert(res.msg, {
                        icon: 6
                    },
                    function() {
                        if (res.code==1){
                            // 获得frame索引
                            var index = parent.layer.getFrameIndex(window.name);
                            //关闭当前frame
                            parent.layer.close(index);
                        }
                        layer.close(alert_index)
                    });
            });

            return false;
        });
    form.on('submit(modeledit)',
        function(data) {

            $.post("/Model/modeledit",data.field,function (res) {
                var alert_index;
                //发异步，把数据提交给php
                alert_index=layer.alert(res.msg, {
                        icon: 6
                    },
                    function() {
                        if (res.code==1){
                            // 获得frame索引
                            var index = parent.layer.getFrameIndex(window.name);
                            //关闭当前frame
                            parent.layer.close(index);
                        }
                        layer.close(alert_index)
                    });
            });

            return false;
        });


});
/*添加*/
function admin_add(title,url,w,h){
    x_admin_show(title,url,w,h);
}
// 编辑
function banner_edit (title,url,id,w,h) {
    x_admin_show(title,url,w,h);
}
function member_del(o){
    var id= $(o).attr('data');
    var table_name=$(o).attr("table_name");
    layer.confirm('确定要删除吗？', {
        btn: ['确定', '取消'] //按钮
    }, function () {
        $.ajax({
            type: "post",
            url: "/Model/del",
            data:{id:id,table_name:table_name},
            dataType: "json",
            success: function (res) {
                if (res.code == 1) {
                    layer.msg(res.msg, {time: 1000}, function () {
                        $(o).parents("tr").remove();
                    });
                } else {
                    layer.msg(res.msg, {time: 1000});
                }
            }
        })
    });
}
