layui.use(['form', 'element', 'upload', 'layedit'], function () {
    var form = layui.form;
    var element = layui.element;
    var upload = layui.upload;
    var layedit = layui.layedit;
    form.on('submit(add)', function(data){

        if ($("#list").children().length>=8){
            layer.msg("微信公众文章最多发布8条数据");
            return false;
        }
        //发异步，把数据提交给php
        $.post("/Weixin/add",data.field,function (res) {

            if (res.code==1){

                window.location.href = "/weixin/add?id="+res.id;
            }else{
                layer.msg(res.msg);
            }
        },'json').error(function (err) {
            layer.msg(err['responseJSON']['message'],function () {
                location.reload();
            });
        });
        return false;
    });
    form.on('submit(edit)', function(data){
        if ($("#list").children().length>=8){
            layer.msg("微信公众文章最多发布8条数据");
            return false;
        }
        //发异步，把数据提交给php
        $.post("/Weixin/edit",data.field,function (res) {

            if (res.code==1){
                window.location.href = "/weixin/add?id="+res.id;
            }else{
                layer.msg(res.msg);
            }
        },'json').error(function (err) {
            layer.msg(err['responseJSON']['message'],function () {
                location.reload();
            });
        });
        return false;
    });

    upload.render({
        elem: '#uploadimg'
        ,url: "/weixin/upimg"
        ,accept: 'images' //允许上传的文件类型
        ,field:'imgfile'//设定文件域的字段名
        ,size: 2048 //最大允许上传的文件大小
        ,done: function(res, index, upload){ //上传后的回调

            layer.close(layer.index,{isOutAnim:true});
            setTimeout(function () {
                layer.msg(res.msg);
                if (res.code==1){
                    var pic=$('input[name=thumb_media_id]').val();
                    if (pic==""){
                        $('input[name=thumb_media_id]').val(res.img);
                        $('input[name=pic]').val(res.pic);
                    }else {
                        $('input[name=thumb_media_id]').val(pic+","+res.img);
                        $('input[name=pic]').val(pic+","+res.pic);
                        // layer.msg('不能超过1张图片', {icon: 1});
                        // return;
                    }

                    var str;
                    str="<span>";
                    str=str+'<img src="'+res.pic+'" alt="" height="80">';
                    str=str+'<button type="button" class="layui-btn layui-btn-danger layui-btn-mini delimg" onclick="delimgpic(this);" data="'+res.pic+'">';
                    str=str+'<i class="layui-icon">&#xe640;</i>';
                    str=str+'</button>';
                    str=str+'</span>';
                    $('#thumb_list').append(str);
                }else{

                }
            },500);

        }
        ,before:function(){
            var index = layer.load(); //换了种风格
        }
        //,……
    })
    form.on('select(id)', function (data) {
        if ($('#list').length!==0){
            $('#list').empty()
        }


        var data={id: data.value}

        $(".preview_media_add_word").attr('href','/Weixin/add.html?id='+data.id)

        $.ajaxDirect("/Weixin/ajaxadd",'post', data, function(res){

            if (res.code==1){
                for ($i=0; $i<=res.data.length; $i++) {
                    var str;
                    str='<div class="layui-col-md12 weixingid" onclick="weixingid(this)" style="padding:0 10px;border-bottom: 1px solid #f9f9f9">';
                    str= str+'<div class="box_left layui-col-md4" >';
                    str= str+'<img src="'+res.data[$i]['pic']+'" style="width: 100%;max-height:260px;"/>';
                    str= str+'</div>';
                    str= str+'<div class="box_left layui-col-md8">';
                    str= str+ '<span>'+res.data[$i].title+'</span>';
                    str= str+'</div>';
                    str= str+'<div class="del">';
                    str=str+'<a href="javascript:;" class="layui-btn layui-btn-xs" onclick="up(this,'+res.data[$i].id+');">上移</a><a class="layui-btn layui-btn-xs layui-btn-warm" href="javascript:;" onclick="down(this,'+res.data[$i].id+');">下移</a>';
                    str= str+'<a href="/weixin/edit?id='+res.data[$i].id+'" class="layui-btn layui-btn-xs">编辑 </a>';
                    str= str+'<a title="删除" onclick="member_del(this,'+res.data[$i].id+')" href="javascript:;" class="layui-btn layui-btn-xs layui-btn-danger">删除 </a>';
                    str= str+'</div>';
                    str= str+'</div>';
                    $('#list').append(str);

                }

            }else{
                layer.msg(res.msg);
            }
        });

    });

});

$(function () {
    // function HTMLValue(obj) {
    //     UE.getEditor('content').execCommand('insertHtml', obj)
    // }

    UE.Editor.prototype._bkGetActionUrl = UE.Editor.prototype.getActionUrl;
    UE.Editor.prototype.getActionUrl = function (action) {

        if (action == 'uploadimage' || action == 'uploadscrawl' || action == 'uploadfile' || action == 'uploadvideo') {
            return "/Weixin/file_upload_ueditor";//这就是自定义的上传地址
        } else {
            return this._bkGetActionUrl.call(this, action);
        }

    };
    var ue = UE.getEditor('content', {
        toolbars: [
            [
                'fullscreen', 'source', 'template', 'preview', 'insertcode', 'snapscreen', '|', 'undo', 'redo', '|',
                'bold', 'italic', 'underline', 'fontborder', 'strikethrough', 'pasteplain', '|', 'forecolor', 'backcolor', 'inserttable', '|', 'removeformat', 'formatmatch', 'autotypeset',
                'rowspacingtop', 'rowspacingbottom', 'lineheight', '|',
                'customstyle', 'paragraph', 'fontfamily', 'fontsize', '|',
                'justifyleft', 'justifycenter', 'justifyright', 'justifyjustify', '|',
                'link', 'unlink', 'anchor', '|', 'imagenone', 'imageleft', 'imageright', 'imagecenter', '|',
                'simpleupload', 'insertimage', 'insertvideo', 'music', 'attachment', 'insertframe','htmlcss'
            ]

        ],
        zIndex: 999,
        initialFrameWidth: "100%", //初化宽度
        initialFrameHeight: 500, //初化高度
        focus: false, //初始化时，是否让编辑器获得焦点true或false
        maximumWords: 99999, removeFormatAttributes: 'class,style,lang,width,height,align,hspace,valign',//允许的最大字符数 'fullscreen',
        pasteplain: false, //是否默认为纯文本粘贴。false为不使用纯文本粘贴，true为使用纯文本粘贴
        autoHeightEnabled: true
    })
    UE.getEditor('content').addListener('contentChange',function(editor){
        var arr =(UE.getEditor('content').getContentTxt());
        if($('#descriptioncheckbox').is(':checked')) {
            var ue = UE.getEditor('content');

            var description = document.getElementById("description");//摘要id
            description.value=arr.substring(0,180);

        }
        var textlength =arr.length;
        console.log(textlength)
        $("#bot_bar_left_container .js_word_count").text(textlength)

    });
    //自定义云盘图片
    UE.commands['htmlcss'] = {
        execCommand: function() {
            layer.open({
                type: 2,
                title: '排版',
                shadeClose: true,
                shade: false,
                maxmin: true, //开启最大化最小化按钮
                area: ['700px', '700px'],
                content: "/Weixin/paiban"
            });
        },
    };
});

var id=$("select[name='id'] option:selected").val();
if (id!=='0'){
    var data={id: id}
    $.ajaxDirect("/Weixin/ajaxadd",'post', data, function(res){
        if (res.code==1){
            for ($i=0; $i<=res.data.length; $i++) {
                var str;
                str='<div class="layui-col-md12 " onclick="weixingid(this)" style="padding:0 10px">';
                str= str+'<div class="box_left layui-col-md4">';
                str= str+'<img src="'+res.data[$i].pic+'" style="width: 100%;max-height:260px;"/>';
                str= str+'</div>';
                str= str+'<div class="box_left layui-col-md8">';
                str= str+ '<span>'+res.data[$i].title+'</span>';
                str= str+'</div>';
                str= str+'<div class="del">';
                str=str+'<a class="layui-btn layui-btn-xs" href="javascript:;" onclick="up(this,'+res.data[$i].id+');">上移</a><a class="layui-btn layui-btn-xs layui-btn-warm" href="javascript:;" onclick="down(this,'+res.data[$i].id+');">下移</a>';
                str= str+'<a href="/weixin/edit?id='+res.data[$i].id+'" class="layui-btn layui-btn-xs">编辑 </a>';
                str= str+'<a title="删除" onclick="member_del(this,'+res.data[$i].id+')" href="javascript:;" class="layui-btn layui-btn-xs layui-btn-danger">删除 </a>';
                str= str+'</div>';
                str= str+'</div>';
                $('#list').append(str);
            }

        }else{
            layer.msg(res.msg);
        }
    });

}

function weixingid(e) {
    var css= $(e).find('.del').css('display');
    if (css == 'block'){

        $(e).find('.del').hide()
    } else {

        $(e).find('.del').show()
    }
}
//删除栏目图片
function delimgpic(obj) {
    var picurl=$(obj).attr('data');
    var picvalue=$('input[name=pic]').val();
    var str="";
    var thumb_media_id=$('input[name=thumb_media_id]').val();
    var strt_media_id="";
    //栏目图片文本框中地址
    if (picvalue==picurl){
        $('input[name=thumb_media_id]').val('');
        $('input[name=pic]').val('');
    }else {
        str=picvalue.replace(picurl+",","");
        str=str.replace(","+picurl,"");
        $('input[name=pic]').val(str);
        $('input[name=thumb_media_id]').val('');
    }
    // 移除缩略图
    $(obj).parent().remove();


}
function member_del(obj,id){
    layer.confirm('确认要删除吗？',function(index){
        //发异步删除数据
        $.post("/Weixin/wxdel",{id:id},function (res) {
            layer.msg(res.msg,{time:1000},function () {
                location.reload();
            })
        },'json').error(function (err) {
            layer.msg(err['responseJSON']['message'],function () {
                location.reload();
            });
        });
    });
}
function up(obj,id){


    var _div = $(obj).parent().parent() ,
        _divp = _div.parent() ,
        _divs = _divp.children("div") ,
        _divindex = _divs.index(_div);

    if(_divindex>0){
        _divs.eq(_divindex-1).before(_div);
        $.post("/Weixin/sort",{id: id,sort:'up'},function (res) {

        })
    }
}
function down(obj,id) {
    var _div = $(obj).parent().parent(),
        _divp = _div.parent(),
        _divs = _divp.children("div"),
        _divindex = _divs.index(_div);

    if (_divindex < _divs.length - 1) {
        _divs.eq(_divindex + 1).after(_div);
        $.post("/Weixin/sort",{id: id,sort:'down'},function (res) {

        })
    }
}
function archives() {
    layer.open({
        type: 2,
        title: '选择文章',
        shadeClose: true,
        shade: 0.8,
        area: ['550px', '450px'],
        content: '/Weixin/archives' //iframe的url
    });

}
//选择文章返回数据处理
function WeiXinChoose(e) {
    $.post("/Weixin/archivesedit",{id: e.id},function (res) {
        console.log(res)
        $("[name='title']").attr('value',res.title);
        $("[name='digest']").html(res.description);
        var content =$('#content').val();
        $("[name='content_source_url']").attr('value',res.url);
        $("[name='author']").attr('value',res.writer?res.writer:'速建时代');
        var ue = UE.getEditor('content');
        ue.setContent(res.content);


        var pic=$('input[name=thumb_media_id]').val();
        if (pic==""){
            $('input[name=pic]').val(res.pic);
        }else {
            $('input[name=pic]').val(pic+","+res.pic);
            // layer.msg('不能超过1张图片', {icon: 1});
            // return;
        }
        var str;
        str="<span>";
        str=str+'<img src="'+res.pic+'" alt="" height="80">';
        str=str+'<button type="button" class="layui-btn layui-btn-danger layui-btn-mini delimg" onclick="delimgpic(this);" data="'+res.pic+'">';
        str=str+'<i class="layui-icon">&#xe640;</i>';
        str=str+'</button>';
        str=str+'</span>';
        $('#thumb_list').append(str);
    })
}
//微信已发数据资源选择
function wxarc(e) {
    layer.open({
        type: 2,
        title: '选择文章',
        shadeClose: true,
        shade: 0.8,
        area: ['550px', '450px'],
        content: '/Weixin/wxarc' //iframe的url
    });
}
//选择文章返回数据

function WeiXinarc(e) {
    $.post("/Weixin/wxarchivesedit",{id: e.id},function (res) {
        console.log(res)
        $("[name='title']").attr('value',res.title);
        $("[name='digest']").html(res.digest);
        var content =$('#content').val();
        $("[name='content_source_url']").attr('value',res.content_source_url);
        $("[name='author']").attr('value',res.author?res.author:'速建时代');
        var ue = UE.getEditor('content');
        ue.setContent(res.content);



        var pic=$('input[name=pic]').val();
        if (pic!=""){
            $('input[name=pic]').val('');
            $("[name='thumb_media_id']").val('');
            $('#thumb_list').children().remove();
        }
        $('input[name=pic]').val(res.pic);
        var str;
        str="<span>";
        str=str+'<img src="'+res.pic+'" alt="" height="80">';
        str=str+'<button type="button" class="layui-btn layui-btn-danger layui-btn-mini delimg" onclick="delimgpic(this);" data="'+res.pic+'">';
        str=str+'<i class="layui-icon">&#xe640;</i>';
        str=str+'</button>';
        str=str+'</span>';
        $('#thumb_list').append(str);
    })
}