<?php
/**
 * Created by PhpStorm.
 * User: HP
 * Date: 2022/3/9
 * Time: 10:37
 */

namespace app\admin\controller;
use think\facade\Db;
use think\facade\View;
use app\admin\validate\Conf as ConfValidate;

use think\exception\ValidateException;
class Conf extends Common
{


    //商城配置展示
    public function conflst()
    {
        if (request()->isPost()){
            $data=input('post.');
            if ($data['id']==''){
                unset($data['id']);
                $content=json_encode($data,JSON_UNESCAPED_SLASHES|JSON_UNESCAPED_UNICODE);
                $add=Db::name('conf')->insert(['content'=>$content]);
            }else{
                $id=$data['id'];
                unset($data['id']);
                $content=json_encode($data,JSON_UNESCAPED_SLASHES|JSON_UNESCAPED_UNICODE);
                $add=Db::name('conf')->where('id','=',$id)->update(['content'=>$content]);
            }
            if ($add){
                return returnjson(1,'配置修改成功');
            }else{
                return returnjson(0,'配置修改失败！');
            }
            return;
        }

        $conf=Db::name('conf')->order('id desc')->find();
        $confRes=json_decode($conf['content'],true);
        View::assign([
            'id'=>$conf['id'],
            'confRes'=>$confRes
        ]);
        return view();
    }


    //webconf配置展示网站信息
    public function webconf()
    {
        if (request()->isPost()){
            $data=input('post.');

            if ($data['id']==''){
                unset($data['id']);
                $content=json_encode($data,JSON_UNESCAPED_SLASHES|JSON_UNESCAPED_UNICODE);
                $add=Db::name('conf')->insert(['web'=>$content]);
            }else{
                $id=$data['id'];
                unset($data['id']);
                $content=json_encode($data,JSON_UNESCAPED_SLASHES|JSON_UNESCAPED_UNICODE);
                $add=Db::name('conf')->where('id','=',$id)->update(['web'=>$content]);
            }
            if ($add!==false){
                return returnjson(1,'配置修改成功');
            }else{
                return returnjson(0,'配置修改失败！');
            }
            return;

        }

        $conf=Db::name('conf')->order('id desc')->find();

        $confRes=json_decode($conf['web'],true);
        $ossRes=json_decode($conf['oss'],true);

        $env=app()->getRootPath().'.env';

        $confRes['img']=explode(',',$confRes['img']);
        $env= @file_get_contents($env);

        $baiduconf=json_decode($conf['baidu'],true);


        View::assign([
            'id'=>$conf['id'],
            'confRes'=>$confRes,
            'ossRes'=>$ossRes,
            'env'=>$env,
            'baiduconf'=>$baiduconf
        ]);
        return view();
    }
    public function web(){
        $id=1;
        $conf=Db::name('conf')->find($id);

        $confRes=json_decode($conf['web'],true);

        View::assign([
            'id'=>$conf['id'],
            'confRes'=>$confRes
        ]);
        return view();
    }
    //oss配置展示
    public function ossconf()
    {
        if (request()->isPost()){
            $data=input('post.');

            if ($data['id']==''){
                unset($data['id']);
                $content=json_encode($data,JSON_UNESCAPED_SLASHES|JSON_UNESCAPED_UNICODE);
                $add=Db::name('conf')->insert(['oss'=>$content]);
            }else{
                $id=$data['id'];
                unset($data['id']);
                $content=json_encode($data,JSON_UNESCAPED_SLASHES|JSON_UNESCAPED_UNICODE);
                $add=Db::name('conf')->where('id','=',$id)->update(['oss'=>$content]);
            }
            if ($add){
                return returnjson(1,'配置修改成功');
            }else{
                return returnjson(0,'配置修改失败！');
            }
            return;

        }
        $id=1;
        $conf=Db::name('conf')->find($id);

        $confRes=json_decode($conf['oss'],true);

        View::assign([
            'id'=>$conf['id'],
            'confRes'=>$confRes
        ]);
        return view();
    }

    public function merchant(){
        if (request()->isPost()) {
            $data = input('post.');
            $id=$data['id'];
            unset($data['id']);
            $merchant=json_encode($data,JSON_UNESCAPED_SLASHES|JSON_UNESCAPED_UNICODE);
            $add=Db::name('conf')->where('id','=',$id)->update(['merchant'=>$merchant]);
            if ($add!==false){
                return returnjson(1,'配置修改成功');
            }else{
                return returnjson(0,'配置修改失败！');
            }
        }
        $id=1;
        $conf=Db::name('conf')->find($id);

        $confRes=json_decode($conf['merchant'],true);
        View::assign([
            'id'=>$conf['id'],
            'confRes'=>$confRes
        ]);
        return view();
    }

    public function thumb(){
        if (request()->isPost()) {
            $data = input('post.');
           
            $id=$data['id'];
            unset($data['id']);
            $merchant=json_encode($data,JSON_UNESCAPED_SLASHES|JSON_UNESCAPED_UNICODE);
            $add=Db::name('conf')->where('id','=',$id)->update(['thumb'=>$merchant]);
            if ($add!==false){
                return returnjson(1,'配置修改成功');
            }else{
                return returnjson(0,'配置修改失败！');
            }
        }
        $id=1;
        $conf=Db::name('conf')->field('thumb,id')->find($id);

        $confRes=json_decode($conf['thumb'],true);
        View::assign([
            'id'=>$conf['id'],
            'confRes'=>$confRes,
        ]);
        return view();
    }

    public function file(){
        $file = request()->file('file');
        // 上传到本地服务器
        $savename = \think\facade\Filesystem::disk('public')->putFile( '/login', $file);
        return returnjson(1,'/static/'.$savename);
    }

    public function baiduconf(){
        if (request()->isPost()) {
            $data = input('post.');

            $id=$data['id'];
            unset($data['id']);
            $merchant=json_encode($data,JSON_UNESCAPED_SLASHES|JSON_UNESCAPED_UNICODE);
            $add=Db::name('conf')->where('id','=',$id)->update(['baidu'=>$merchant]);
            if ($add!==false){
                return returnjson(1,'配置修改成功');
            }else{
                return returnjson(0,'配置修改失败！');
            }
        }

        
        $conf=Db::name('conf')->field('baidu,id')->order('id desc')->find();
        $confRes=json_decode($conf['baidu'],true);
        View::assign([
            'id'=>$conf['id'],
            'confRes'=>$confRes,
        ]);
        return view();
    }

}