<?php
/**
 * Created by PhpStorm.
 * User: HP
 * Date: 2022/3/9
 * Time: 10:37
 * 站群创建管理
 */

namespace app\admin\controller;
use think\console\Input;
use think\facade\Db;
use think\facade\View;
use think\facade\Cookie;
use app\admin\model\Group as Groupmodel;
use app\admin\model\Cate as CateModel;
use think\exception\ValidateException;
class Group extends Common
{

      private $BT_KEY = "6OLSybhdmBwDBxWC7V13yB5f7lLjkJjB";  	//接口密钥
    private $BT_PANEL = "http://39.100.131.95:8888";	   		//面板地址
    public function index(){
        $confcate=Db::connect('demo')->table('tp_conf_cate')->order('id desc')->select();

        $Cate= new CateModel();
        $confcate=$Cate->catetree($confcate);

        $id=input('id');
        $cid= (new Groupmodel())->childrenids($id);
        $cid[]=intval($id);
        if (isset($id) && $id!="0" ){
            $conf=Db::connect('demo')->table('tp_conf')->where('pid','in',$cid)->order('id desc')->paginate('6');
        }else{
            $conf=Db::connect('demo')->table('tp_conf')->order('id desc')->paginate('6');
        }

        View::assign([
            'conf'=>$conf,
            'confcate'=>$confcate,
            "id"=>$id?$id:0
        ]);
        return view();
    }
    public function add(){
        if (request()->isPost()){
            $data=input('post.');
            $_data= (new Groupmodel())->GetConfAdd($data);
            if ($_data!==''){

                if ($data['pid']==0){
                    return json(['code'=>0,"msg"=>'分类不能为空']);
                }

                $dataarr=[
                    'database'=>$data['datauser'],
                    'username'=>$data['datauser'],
                    'password'=>$data['datapassword'],
                    'hostname'=>'127.0.0.1',
                    'public'=>$data['path'],
                    'prefix'=>'tp_',
                    'name'=>$data['ps'],
                    'addaite'=>json_encode($_data),
                    'uid'=>Cookie::get('uid'),
                    'pid'=>$data['pid'],
                ];
                $id=Db::connect('demo')->table('tp_conf')->strict(false)->insertGetId($dataarr);
                if ($id){
                    $demo= Db::connect('demo')->table('tp_conf')->find($id);
                    Cookie('hostuid',$id);
                    Cookie('hostname',$demo['hostname']);
                    Cookie('database',$demo['database']);
                    Cookie('username',$demo['username']);
                    Cookie('password',$demo['password']);
                    Cookie('prefix',$demo['prefix']);
                    $hostname= create_tables('127.0.0.1',$demo['database'],$demo['username'],$demo['password'],'3306');

                    return json(['code'=>1,"msg"=>'创建成功']);

                }
            }

            return json(['code'=>0,"msg"=>'创建失败']);
        }
        $p_data =(new Groupmodel())->Getadd();//获取php 版本/网站分类

        //分类
        $confcate=Db::connect('demo')->table('tp_conf_cate')->order('id desc')->select();
        $Cate= new CateModel();
        $confcate=$Cate->catetree($confcate);

        View::assign([
            'data'=>$p_data,
            'confcate'=>$confcate
        ]);
        return view();
    }
    public function xz($id){
        $conf=Db::connect('demo')->table('tp_conf')->find($id);
       
        
        Cookie('name',$conf['name']);
        Cookie('hostuid',$id);
        Cookie('hostname',$conf['hostname']);
        Cookie('database',$conf['database']);
        Cookie('username',$conf['username']);
        Cookie('password',$conf['password']);
        Cookie('prefix',$conf['prefix']);
        return json(['code'=>1,"msg"=>'选择成功']);
    }
    public function edit($id){
        if (request()->isPost()){
            $data=input('post.');

           $dataarr= Db::connect('demo')->table('tp_conf')->find($data['id']);

            $conf=Db::connect('demo')->table('tp_conf')->strict(false)->update($data);
            if ($conf){
                (new Groupmodel())->Gstconfedit($data,$dataarr);
                return json(['code'=>'ok',"msg"=>'编辑成功']);
            }
            return json(['code'=>0,"msg"=>'编辑失败']);
        }


        $conf=Db::connect('demo')->table('tp_conf')->find($id);
        $addaite= json_decode( $conf['addaite'],true);

        $weburl=(new Groupmodel())->WebUrl($addaite['siteId']);
       
         $GetSitePHP=(new Groupmodel())->GetSitePHPVersion($conf['name']);

        //分类
        $confcate=Db::connect('demo')->table('tp_conf_cate')->order('id desc')->select();
        $Cate= new CateModel();
        $confcate=$Cate->catetree($confcate);

        View::assign([
          'weburl'=>$weburl,
            'siteid'=>$addaite['siteId'],
            'name'=>$conf['name'],
            'php'=>$GetSitePHP,
            'conf'=>$conf,
            'confcate'=>$confcate
        ]);
        return view();
    }
//    public function edit($id){
//        if (request()->isPost()){
//            $data=input('post.');
//            $conf=Db::connect('demo')->table('tp_conf')->strict(false)->update($data);
//            if ($conf){
//                return json(['code'=>'ok',"msg"=>'编辑成功']);
//            }
//            return json(['code'=>0,"msg"=>'编辑失败']);
//        }
//        $conf=Db::connect('demo')->table('tp_conf')->find($id);
//        View::assign([
//            'conf'=>$conf,
//        ]);
//        return view();
//    }


//创建网站分类
    public function cateadd(){
        if (request()->isPost()){
            $data=input('post.');
            if ($data['name']==''){
                return json(['code'=>0,"msg"=>'分类不能为空']);
            }
            $data['uid']=Cookie::get('uid');

            $conf=Db::connect('demo')->table('tp_conf_cate')->insert($data);
            if ($conf){
                return json(['code'=>1,"msg"=>'创建成功']);
            }
            return json(['code'=>0,"msg"=>'创建鼠标']);
        }

    }
    //修改网站分类
    public function cateedit(){
        if (request()->isPost()){
            $data=input('post.');
          
            if (isset($data['id'])){
                $_data['id']=$data['id'];
                $_data['pid']=$data['pid'];
                $conf=Db::connect('demo')->table('tp_conf')->update($_data);

            }else{
                if ($data['name']==''){
                    return json(['code'=>0,"msg"=>'分类不能为空']);
                }
                $_data['id']=$data['pid'];
                $_data['name']=$data['name'];
                $conf=Db::connect('demo')->table('tp_conf_cate')->update($_data);
            }

            if ($conf){
                return json(['code'=>1,"msg"=>'编辑成功']);
            }
            return json(['code'=>0,"msg"=>'编辑失败']);
        }
    }



    public function catedel(){
        if (request()->isPost()){
            $data=input('post.');

            $conf=Db::connect('demo')->table('tp_conf_cate')->delete($data['pid']);
            if ($conf){
                return json(['code'=>1,"msg"=>'删除成功']);
            }
            return json(['code'=>0,"msg"=>'删除失败']);
        }

    }

//获取php版本
    public function demo($id){

      $data=  Db::connect('demo')->table('tp_conf')->find($id);
     $template=$data['public'].'/template';
       if(is_dir($template)){
           return returnjson(0,'站点存在文件,无法导入模板');
       }
        $p_data =(new Groupmodel())->SetBatchData($data['public']);//复制创建站点
        sleep(5);
        if ($p_data){
            (new Groupmodel())->Gstconfedit($data,'database');
        }


        return $p_data;
    }

//开启关闭
    public function del($id,$status){
       $data= Db::connect('demo')->table('tp_conf')->find($id);
        $_data= (new Groupmodel())->Getdie($data,$status);
        return $_data;
    }

    //入口文件
    public function public($id='',$path=''){

        if (request()->isPost()){
            $id=input('id');
            $path=input('path');
            $add=(new Groupmodel())->AddDirBinding($id,$path);

            if ($add==3){
                return returnjson(0,'站点为服务器创建无法设置');

            }
            return json($add);
        }

       $data= (new Groupmodel())->GstPublic($id,$path);

        View::assign([
            'data'=>$data,
            'id'=>$id
        ]);
        return view();
    }


    /**
     * 添加域名
     * @param [type] $id      网站ID
     * @param [type] $webname 网站名称
     * @param [type] $domain  要添加的域名:端口 80 端品不必构造端口,多个域名用换行符隔开
     */
    public function urladd(){
        if (request()->isPost()){
            $url=input('url');//新增域名
            $siteId=input('id');//网站id
            $webname=input('webname');//网站名称
            $add=(new Groupmodel())->GetUrlAdd($url,$siteId,$webname);

            return $add;
        }
    }

    public function WebDelDomain(){

        if (request()->isPost()){
            $data=input('post.');//新增域名

            $data= (new Groupmodel())->GetWebDelDomain($data);
            return $data;
        }

    }

    /**
     * 修改指定网站的PHP版本
     * @param [type] $site 网站名
     * @param [type] $php  PHP版本
     */
    public function SetPHPVersion(){

        $data=input('post.');
        $url = $this->BT_PANEL.'/site?action=SetPHPVersion';
        $p_data=GetKeyData($this->BT_KEY);	//取签名
        $p_data['siteName'] = $data['siteName'];
        $p_data['version'] =  $data['version'];
        $result = (new Groupmodel())->HttpPostCookie($url,$p_data);

        $data = json_decode($result,true);
        if ($data['status']==true){
            return returnjson(1,$data['msg']);

        }else{
            return returnjson(0,$data['msg']);
        }

    }


}