<?php
/**
 * Created by PhpStorm.
 * User: HP
 * Date: 2022/3/15
 * Time: 11:28
 */

namespace app\admin\controller;
use think\facade\Db;
use think\facade\View;
use think\facade\Cookie;
use app\admin\model\Image as ImageModel;
class Image extends  Common
{
    public function index(){

        $id=input('uid');

        if (!empty($id)){
            $data= Db::name('image')->where('uid','=',$id)->where('uiid','=',Cookie::get("uid"))->order('id desc')->paginate(15);

        }else{
            $dataid= Db::name('image_cate')->where('uid','=',Cookie::get("uid"))->whereOr('uid','=',0)->order('id desc')->column('id');

           $data= Db::name('image')->order('id desc')->where('uid','in',$dataid)->where('uiid','=',Cookie::get("uid"))->paginate(15);
        }

//计算调用
        $dataarr=[];
        foreach ($data as $k=>$v){
            $where = 'concat(img,content) LIKE "%' . $v['url'] . '%"';
            $size_where = 'concat(img) LIKE "%' . $v['url'] . '%"';
            $links_count = Db::name('links')->where($size_where)->select()->count();


            $pics_where = 'concat(pic) LIKE "%' . $v['url'] . '%"';
            $pics_count = Db::name('pics')->where($pics_where)->select()->count();


            $archives_where = 'concat(content) LIKE "%' . $v['url'] . '%"';
            $archives_count = Db::name('archives')->where($archives_where)->select()->count();

            $arc_cate_count = Db::name('arc_cate')->where($where)->select()->count();

            $dataarr[$k]=$v;
            $dataarr[$k]['count']=$links_count+$pics_count+$archives_count+$arc_cate_count;
        }

        $page = $data->render();


        View::assign([
            'data'=>$dataarr,
            'uid'=>input('uid'),
            'page'=>$page
        ]);
        return view();
    }
    public function imagelist(){
        $callback=input('callback');


        View::assign([
            'callback'=>$callback
        ]);
        return view();
    }
    public function ajaxlist($limit=12){

        $id=input('uid');
        $curr = input('page');

        if (!empty($id)){

            $_data= Db::name('image')->where('uid','=',$id)->where('uiid','=',Cookie::get("uid")) ->withAttr('url', function ($value) {
                if (gethttp($value)==true){
                    return $value;
                }else{
                    return '/static/'.$value;
                }
            })->order('id desc')->select()->toArray();

        }else{

            $data_cate= Db::name('image_cate')->where('uid','=',Cookie::get("uid"))->whereOr('uid','=',0)->order('id desc')->column('id');
            $_data= Db::name('image')->where('uiid','=',Cookie::get("uid"))->withAttr('url', function ($value) {
                if (gethttp($value)==true){
                    return $value;
                }else{
                    return '/static/'.$value;
                }
            })->where('uid','in',$data_cate)->order('id desc')->select()->toArray();
        }

        $currpage =page_array($_data, $limit, $curr);

        //计算调用

        $dataarr=[];
        foreach ($currpage['data'] as $k=>$v){
            $where = 'concat(img,content) LIKE "%' . $v['url'] . '%"';

            $size_where = 'concat(img) LIKE "%' . $v['url'] . '%"';



            $links_count = Db::name('links')->where($size_where)->select()->count();
            $cate_count = Db::name('cate')->where($where)->select()->count();

            $pics_where = 'concat(pic) LIKE "%' . $v['url'] . '%"';
            $pics_count = Db::name('pics')->where($pics_where)->select()->count();


            $archives_where = 'concat(content) LIKE "%' . $v['url'] . '%"';
            $archives_count = Db::name('archives')->where($archives_where)->select()->count();
            $arc_cate_count = Db::name('arc_cate')->where($where)->select()->count();


            $dataarr[$k]=$v;
            $dataarr[$k]['count']=$links_count+$cate_count+$pics_count+$archives_count+$arc_cate_count;
        }



        $page= $currpage['page']['count']/$currpage['page']['limit'];

        $data = [
            "code" => 200,
            "msg" => "OK",
            "count" => count($_data),
            "data" => $dataarr,
            'status' => 200,
            'pages'=>ceil($page)
        ];

        return json($data);


    }

    public function ajaximg(){
        $id=input('uid');
        $image= Db::name('image')->withAttr('url', function ($value) {
            if (gethttp($value)==true){
                return $value;
            }else{
                return '/static/'.$value;
            }
        })->order('id desc')->select()->toArray();
        $arrimg=array();
        foreach ($image as $k=>$v){
            $arr['url']=$v['url'];
            $arr['mtime']=time();
            $arrimg[]=$arr;
        }

        $data=[
            "state" => "SUCCESS",
            "list" => $arrimg,
            "start" => 0,
            "total" => count($arrimg)
        ];
        return json($data);
    }
    public function data(){
        $data= Db::name('image_cate')->field('id,title,pid')->where('uid',Cookie::get("uid"))->whereOr('uid','=',0)->select();
        $data_arr= create_tree_list(0,$data);


        $datajson= json_encode($data_arr,JSON_UNESCAPED_UNICODE);


        if ($datajson=='[]'){

            $datajson=[
                ['title'=>'我的网盘',
                    'id'=>0]
            ];
            return json_encode($datajson,JSON_UNESCAPED_UNICODE);;
        }

        return $datajson;
    }
    public function add(){

        if(request()->isPost()){
            $data=input('post.');
             
             $dataras['title']=  '未命名';
            $dataras['pid']=  $data['id'];

            $dataras['uid']=  Cookie::get("uid");
            $dataras['status']= 1;
            $add= Db::name('image_cate')->insert($dataras);
            if ($add){
                return returnjson(1,'创建成功');
            }
        }
        return view();
    }
    public function edit(){
        if(request()->isPost()){
            $data=input('post.');
            if ($data['id']=="0"){
              
                $dataras['title']=  $data['title'];
                $dataras['pid']=  0;
                $dataras['uid']=  Cookie::get("uid");
                $add= Db::name('image_cate')->insert($dataras);
            }
            $edit= Db::name('image_cate')->where('id',$data['id'])->update(['title'=>$data['title']]);
            if ($edit){
                return returnjson(1,'修改成功');
            }
        }
    }
    public function del(){
        if(request()->isPost()){
            $data=input('post.');
         
            $_data= Db::name('image_cate')->where('pid',$data['id'])->find();
            if ($_data){
                return returnjson(0,'存在子栏目无法删除');
            }
            $edit= Db::name('image_cate')->delete($data['id']);
            if ($edit){
                return returnjson(1,'修改成功');
            }
        }
    }


  

}