<?php
/**
 * Created by PhpStorm.
 * User: pc
 * Date: 2021/4/12
 * Time: 13:17
 */

namespace app\admin\controller;
use think\facade\Db;
use think\facade\Request;
use think\facade\View;
class Kefu extends Common
{
    public function index(){
       $data= Db::name('kefu')->order('id desc')->paginate(20);

             View::assign([
                 'data'=>$data
             ]);
     return View::fetch();
    }
    public function add(){
        if(request()->isPost()){
            $data= input('post.');

            if (count($data['question'])){
                $data['question']=implode('&',$data['question']);
            }
            if ($data['keywords']!==''){
                $data['keywords']=str_replace('，', ',', $data['keywords']);
            }
            $data['time']=time();
            $data['status']='1';

            $add=Db::name('kefu')->insert($data);
            if ($add){
                return json(['code'=>1,"msg"=>'添加成功']);
            }
            return json(['code'=>0,"msg"=>'添加失败！']);
        }
        return View::fetch();
    }

    public function edit($id){
        if(request()->isPost()){
            $data= input('post.');

            if (count($data['question'])){
                $data['question']=implode('&',$data['question']);
            }
            if ($data['keywords']!==''){
                $data['keywords']=str_replace('，', ',', $data['keywords']);
            }
            $data['time']=time();
            $data['status']='1';

            $add=Db::name('kefu')->update($data);
            if ($add){
                return json(['code'=>1,"msg"=>'添加成功']);
            }
            return json(['code'=>0,"msg"=>'添加失败！']);
        }
        $edit=Db::name('kefu')->find($id);
        $edit['question']=explode('&',$edit['question']);

        View::assign([
            'edit'=>$edit,
        ]);
        return View::fetch();
    }
    public function rg(){
        $kefu=Db::name('rg')->where('uidip','<>','admin')->Distinct(true)->column('uidip');
        $data=[];
        foreach ($kefu as $k=>$v){
            $arr['name']=$v;
            $arr['max']=Db::name('rg')->where('uidip','=',$v)->where('status','0')->count();
            $data[]=$arr;
        }
        View::assign([
            'data'=>$data,
        ]);
        return View::fetch();
    }
    public function kefu(){
      $code= input('code');
      $data=  Db::name('rg')->where('uidip','=',$code)->whereOr('cid','=',$code)->select();
        Db::name('rg')->where('uidip','=',$code)->update(['status'=>1]);
        View::assign([
            'code'=>$code,
            'data'=>$data
        ]);
        return View::fetch();
    }
    public function kefuadd(){
        $_data= input('post.');
        $data['uidip']='admin';
        $data['cid']=$_data['code'];
        $data['time']=time();
        $data['status']=0;
        $data['content']=$_data['desc'];
    
        Db::name('rg')->insert($data);

    }
    public function arradd(){
        $code=input('code');
        $data= Db::name('rg')->where('status','=',0)->where('uidip','=',$code)->order('id desc')->select();
        Db::name('rg')->where('status','=',0)->where('uidip','=',$code)->update(['status'=>1]);
        return json(['code'=>1,"msg"=>'成功','data'=>$data]);
    }
}