<?php
/**
 * Created by PhpStorm.
 * User: pc
 * Date: 2021/4/12
 * Time: 13:17
 */

namespace app\admin\controller;
use think\facade\Db;
use think\facade\Request;
use think\facade\View;
use app\admin\model\Log as LogModel;
use think\facade\Config;
class Log extends Common
{
  public function index(){

      return view();
  }
  //动态获取操作日志
  public function lstselect($limit){
      $curr = input('page');
      if (Cookie('uid')==1){
          //获取全部
          $data=  Db::name('logs') ->withAttr('operate_time',function ($value){
                    return date('Y-m-d', $value);
                })->order('id desc')->select()->toArray();
      }else{
          //获取个人
          $data=  Db::name('logs')->withAttr('operate_time',function ($value){
                    return date('Y-m-d', $value);
                })->where('operator','=',Cookie('uid'))->order('id desc')->select()->toArray();
      }
      $currpage =page_array($data, $limit, $curr);

      $data = [
          "status" => 200,
          "hint" => "无数据",
          "total" => count($data),
          "rows" => $currpage['data']
      ];
      if (count($currpage['data']) > 0) {
          $data['msg'] = 'OK';
          $data['status'] = 200;
      } else {
          $data['msg'] = "无数据";
          $data['status'] = 200;
      }
      return json($data);

  }

  //清空日志
    public function del(){

      $del=Db::name('logs')->delete(true);
        if($del){
            return json(['code'=>1,"msg"=>'删除成功']);
        }else{
            return json(['code'=>1,"msg"=>'删除失败!']);
        }

    }

    //屏蔽词
    public function shield(){
        if (request()->isPost()){
            $data=input('shield');
            $data=str_replace('，', ',', $data);
            $shield= Config::get('shield.name');

            $default_database_file =app()->getRootPath().'app/admin/config/shield.php';
// 修改database配置
            $database_config = @file_get_contents($default_database_file);

            $database_config = str_ireplace($shield,  $data, $database_config);
            $db= file_put_contents($default_database_file, $database_config);


            return json(['code'=>1,"msg"=>'修改成功']);
        }

        View::assign(array(
            'data'=> Config::get('shield.name')
        ));
        return view();
    }

    //数据统计
    public function statistics(){

        $count1= Db::name('pay')->where('status','>',0)->where('status','<',10)->select()->count();
       $count= Db::name('pay')->where('status','=',1)->select()->count();
        $status= Db::name('pay')->where('status','=',3)->select()->count();
        $amount= Db::name('pay')->where('status','=',3)->sum('amount');
        $users= Db::name('users')->select()->count();
        $product= Db::name('product')->where('status','=',1)->count();

        $actmarketing= Db::name('actmarketing')->where('status','=',1)->count();

        $data=[
            'count1'=>$count1,
            'count'=>$count,
            'status'=>$status,
            'amount'=>$amount,
            'users'=>$users,
            'product'=>$product,
            'actmarketing'=>$actmarketing
        ];
        View::assign(array(
            'data'=> $data
        ));
        return view();
    }
    public function logselect(){
      $id=input('id');
        $data=  (new LogModel())->GetLog($id);
        return returnjson(1,$data);

    }
}