<?php
namespace app\admin\controller;

use QL\QueryList;
use think\facade\Db;
use think\facade\View;
use app\admin\model\Cate;
use think\facade\Request;
use think\facade\Cookie;
set_time_limit(0);
header("Content-Type: text/html;charset=utf-8");
class Note extends Common
{
    public $images='http://x.hbsjsd.cn';

    public function lst(){
        //获取前缀

        $noteRes=Db::name('note')->order('id DESC')->paginate(20);

        View::assign([
            'noteRes'=>$noteRes,
        ]);
        return view();
    }

    public function copy($id){
        $note= Db::name('note')->find($id);
        unset($note['id']);
        $copy=Db::name('note')->insert($note);
        if ($copy){
            return json(['code'=>1,'msg'=>'复制成功']);
        }
        return json(['code'=>0,'msg'=>'复制失败！']);
    }
    public function addlistrules(){
        if(request()->isPost()){
            $_data=input('post.');


            $data['note_name']=$_data['note_name'];
            $data['output_encoding']=$_data['output_encoding'];
            $data['input_encoding']=$_data['input_encoding'];
            $data['baseurl']=$_data['baseurl'];
            $data['list_rules']=array(
                'list_url'=>$_data['list_url'],
                'start_page'=>$_data['start_page'],
                'end_page'=>$_data['end_page'],
                'step'=>$_data['step'],
                'range'=>$_data['range'],
                'list_rules'=>array(
                    'url'=>$_data['url'],
                    'litpic'=>$_data['litpic'],
                ),
            );
            //列表页面采集规则
            $data['list_rules']=json_encode($data['list_rules']);
            $data['addtime']=time();
            $id=Db::name('note')->insertGetId($data);//新添加数据并且获取到id主键
            if($id){

                $url='/Note/additemrules?note_id='.$id;

                return json(['code'=>1,'msg'=>'OK','data'=>$url]);

            }else{
                return json(['code'=>0,'msg'=>'添加节点失败']);
            }

        }

        return view();
    }
    public function additemrules(){
        $noteId=input('note_id');


        if(request()->isPost()){
            $data=input('post.');
            $noteId=$data['id'];
            unset($data['id']);
            unset($data['model_id']);

            $rules=array();
            if($data){
                foreach ($data as $k => $v) {
                    $rules[$k][0]=$v[0];
                    $rules[$k][1]=$v[1];
                    $rules[$k][2]=$v[2];
                    array_values($rules[$k]);

                }
            }
            $rules=json_encode($rules);
            $save=Db::name('note')->where(array('id'=>$noteId))->update(['item_rules'=>$rules]);
            if($save){
                return json(['code'=>1,'msg'=>'添加成功']);
            }else{

                return json(['code'=>0,'msg'=>'添加节点失败']);
            }
            return;
        }

        View::assign([
            'noteId'=>$noteId,
        ]);
        return view();
    }
    //展示采集界面
    public function showCaiji($id){
        //获取栏目
        $_cateRes=Db::name('cate')->select();

        $cate=new Cate();
        $cateRes=$cate->catetree($_cateRes);
        $notes=Db::name('note')->field('model_id,note_name')->find($id);

        $noteName=$notes['note_name'];

        View::assign([
            'id'=>$id,
            'cateRes'=>$cateRes,
            'noteName'=>$noteName,
        ]);
        return view();
    }

    // public $itemRules;
    //执行采集
    public function doCaiji($id){
        $conf=(new \app\admin\model\Note())->ConfCaiji($id);
        $_listUrl=[];//转换为实际页码的列表网址
        //处理采集列表网址
        for ($i=$conf['startPage']; $i <= $conf['endPage']; $i=$i+$conf['step']) {
            $_listUrl[]=str_replace('(*)', $i, $conf['listUrl']);
        }
        $dataList=(new \app\admin\model\Note())->caijilist($_listUrl,$conf['listCaijiRules'],$conf['range'],$conf['outputEncoding'],$conf['inputEncoding']);
        $_dataItem=(new \app\admin\model\Note())->doCaijids($dataList,$conf['itemRules'],$id);
        //电视剧采集结束
        if ($_dataItem==true){
            Db::name('note')->where(array('id'=>$id))->update(['lasttime'=>time()]);
            echo 1;//采集完成
            die;
        }
    }


    public function ceslist(){
        $_data=input('post.');
        $data['note_name']=$_data['note_name'];
        $data['output_encoding']=$_data['output_encoding'];
        $data['input_encoding']=$_data['input_encoding'];
        $data['baseurl']=$_data['baseurl'];
        $data['list_rules']=array(
            'list_url'=>$_data['list_url_ces'],
            'start_page'=>$_data['start_page'],
            'end_page'=>$_data['end_page'],
            'step'=>$_data['step'],
            'range'=>$_data['range'],
            'list_rules'=>array(
                'url'=>$_data['url'],
                'litpic'=>$_data['litpic'],
            ),
        );
        $datalist=(new \app\admin\model\Note())->getceslist($data);

        $url[]=$_data['list_url_ces'];

        $dataList=(new \app\admin\model\Note())->caijilist($url,$datalist['listCaijiRules'],$datalist['range'],$datalist['outputEncoding'],$datalist['inputEncoding']);
        $urllist='<div style="padding: 20px">';
        foreach ($dataList[0] as $v){
            $urllist=$urllist."<div class='url' style='width: 100%;float: left;line-height: 30px'>".$v['url']."</div>";

        }
        $urllist=$urllist."</div>";
        return json(['code'=>1,'msg'=>'OK','data'=>$urllist]);
//        //列表页面采集规则
//        $data['list_rules']=json_encode($data['list_rules']);


    }

    public function content_url(){
        $data=input('post.');
        $title=$data['title'];
        $keywords=$data['keywords'];
        $description=$data['description'];
        $writer=$data['writer'];
        $click=$data['click'];
        $time=$data['time'];
        $source=$data['source'];
        $content=$data['content'];

       $url=$data['content_url'];


        $rules['title']=[$title[0],$title[1],$title[2]];
        $rules['keywords']=[$keywords[0],$keywords[1],$keywords[2]];
        $rules['description']=[$description[0],$description[1],$description[2]];
        $rules['click']=[$click[0],$click[1],$click[2]];

        $rules['content']=[$content[0],$content[1],$content[2]];
        $rules['writer']=[$writer[0],$writer[1],$writer[2]];
        $rules['source']=[$source[0],$source[1],$source[2]];
        $rules['content']=[$content[0],$content[1],$content[2]];
        $rules['time']=[$time[0],$time[1],$time[2]];

//        $rules = [
//            'title' => ['.m-item-info-title','text',''],
//            'content' => ['.m-item-info-content','html',''],
//            'time' => ['.clearfix .m-item-info-soure','html','-span'],
//        ];

//
//
        $_dataItem=(new \app\admin\model\Note())->ces_content_url($url,$rules);


        $urllist="<div style='padding: 20px'>
<div style='width: 100%;float: left;font-size: 22px;height: 45px;line-height: 45px;text-align: center'>".$_dataItem['title']."</div>
<div style='width: 100%;float: left;font-size: 14px;height: 45px;line-height: 45px;text-align: left'></div>
<div style='width: 100%;float: left;font-size: 14px;line-height: 32px;>".$_dataItem['keywords']."</div>
<div style='width: 100%;float: left;font-size: 14px;line-height: 32px;>".$_dataItem['description']."</div>
<div style='width: 100%;float: left;font-size: 14px;line-height: 32px;>".$_dataItem['writer']."</div>
<div style='width: 100%;float: left;font-size: 14px;line-height: 32px;>".$_dataItem['time']."</div>
<div style='width: 100%;float: left;font-size: 14px;line-height: 32px;>".$_dataItem['source']."</div>
<div style='width: 100%;float: left;font-size: 14px;line-height: 32px;>".$_dataItem['content']."</div>
</div>";

        return json(['code'=>1,'msg'=>'OK','data'=>$urllist]);

    }


    //封面图
    public function litpicimg($imgUrl){
        $ext=strrchr($imgUrl,'.');
        if(!in_array($ext,['.jpg','.png','.jpeg','.gif']))
            return $imgUrl;
        $baseName=basename($imgUrl);

        $saveUrl="/public/static/img/".$baseName;
        //文件保存绝对路径
        $path='public/static/img/'.$baseName;
        $img = file_get_contents($imgUrl);
        file_put_contents($path, $img);
        return $saveUrl;
    }
    //文章图片采集
    public function img($_dataItem,$url,$id){
        $notes=Db::name('note')->find($id);

        set_time_limit(0);
        $doc=\phpQuery::newDocumentHTML($_dataItem);

        $imgs = pq($doc)->find('img');
        foreach ($imgs as $img) {
            if(preg_match('/(http:\/\/)|(https:\/\/)/i',$imgs))
            {
                $src=pq($img)->attr('src');
            }else{
                if($notes['imgurl']!=''){
                    $imgurl=$notes['imgurl'];
                    if(strpos($imgurl,',')!==false){
                        $imgurl_arr = explode ( ",", $imgurl );
                        $result= substr($url,0,strrpos($url,$imgurl_arr[0])+$imgurl_arr[1]);
                    }else{
                        $result= substr($url,0,strrpos($url,$imgurl));
                    }

                }
                $src =$result.'/'.pq($img)->attr('src');
            }


            $localSrc ='public/static/img/'.md5($src).'.jpg';

            $stream = @file_get_contents($src);
            file_put_contents($localSrc,$stream);
            pq($img)->attr('src','/'.$localSrc);
        }

        return $doc->htmlOuter();
    }



    //数据导出操作
    public function exportdata(){
        if (request()->isPost()){

            $noteId=input('id');//当前节点id
            $cateId=input('cate_id');//要导出数据所属栏目


            $data=Db::name('html')->field('id,export,result')->where(array('export'=>0,'nid'=>$noteId))->select()->all();//要导出的数据

            $arr=array('title','keywords','description','writer','source','content','litpic','url','time');
            $_archives=[];//主表元素数组
            $_addTable=[];//附加表元素数组
            $i=0;

            if(is_array($data)){
                foreach ($data as $k => $v) {

                    $_data=json_decode($v['result'],true);


                    if (!isset($_data['litpic'])){
                        $_data['litpic']='';
                    }
                    if(!isset($_data['time']) || $_data['time']==''){
                        $_archives['time']=time();
                    }else{
                        $_archives['time']=$_data['time'];
                    }
                   // $_data['time']=time();
                    $_data['attr']='0';
                    $archives= Db::name('archives')->where('title',$_data['title'])->find();
                    if (!$archives){

                       $_data['content']= $this->replaceimg($_data['content'],\think\facade\Request::domain());


                        $addId=Db::name('archives')->strict(false)->insertGetId($_data);

                        $_addTable['aid']=$addId;
                        $_arcid['aid']=$addId;
                        $_arcid['cate_id']=$cateId;

                        Db::name('archives_id')->strict(false)->insert($_arcid);

                        if ($_data['litpic']!==''){
                            if(@fopen( $_data['litpic'], 'r' )){
                                $uid=Cookie('hostuid');
                                $litpic= GetCurSinImg($_data['litpic'],$uid,\think\facade\Request::domain());
                                Db::name('pics')->strict(false)->insert(['aid'=>$addId,'pic'=>$litpic]);
                            }
//                            $uid=Cookie('hostuid');
//                            $litpic= GetCurSinImg($_data['litpic'],$uid,\think\facade\Request::domain());
//                            Db::name('pics')->strict(false)->insert(['aid'=>$addId,'pic'=>$this->images.$_data['litpic']]);
                        }
                        Db::name('html')->where(array('id'=>$v['id']))->update(['export'=>1]);
                        //批量导出
                        $i++;
                        if(($i%6)==0){
                            sleep(3);
                        }
                    }else{
                        $_arcid['aid']=$archives['id'];
                        $_arcid['cate_id']=$cateId;
                        $ar= Db::name('archives_id')->where('aid', $_arcid['aid'])->where('cate_id', $_arcid['cate_id'])->find();
                        if (!$ar){
                            Db::name('archives_id')->strict(false)->insert($_arcid);
                        }
                    }
                }
            }
            echo 1;//数据导出完成
        }

    }

    //编辑节点信息
    public function edit($id){
        if(request()->isPost()){
            $data=input('post.');
            $base=[];
            $base['id']=$data['id'];
            $base['note_name']=$data['note_name'];
            $base['imgurl']=$data['imgurl'];
            $base['baseurl']=$data['baseurl'];
            $base['output_encoding']=$data['output_encoding'];
            $base['input_encoding']=$data['input_encoding'];
            $base['list_rules']['list_url']=$data['list_url'];
            $base['list_rules']['start_page']=$data['start_page'];
            $base['list_rules']['end_page']=$data['end_page'];
            $base['list_rules']['step']=$data['step'];
            $base['list_rules']['range']=$data['range'];
            $base['list_rules']['list_rules']['url']=$data['url'];
            $base['list_rules']['list_rules']['litpic']=$data['litpic'];
            $base['list_rules']=json_encode($base['list_rules']);
            $arr=array('note_name','model_id','baseurl','imgurl','output_encoding','input_encoding','list_url','start_page','end_page','step','range','url','litpic','id');
            foreach ($data as $k => $v) {
                if(in_array($k, $arr)){
                    unset($data[$k]);
                }
            }
            $base['item_rules']=json_encode($data);
            $save=Db::name('note')->update($base);
            if($save!==false){
                return json(['code'=>1,'msg'=>'修改节点成功']);
            }else{
                return json(['code'=>0,'msg'=>'修改节点失败']);
            }
            return;
        }
        $notes=Db::name('note')->find($id);
        $listRules=json_decode($notes['list_rules'],true);
        $itemRules=json_decode($notes['item_rules'],true);



        //自定义模型字段

        View::assign([

            'notes'=>$notes,
            'listRules'=>$listRules,
            'itemRules'=>$itemRules,
            'id'=>$id,//节点id
        ]);


        return view();
    }

    //删除节点
    public function del($id){
        $del=Db::name('note')->delete($id);
        if($del){
            Db::name('html')->where(array('nid'=>$id))->delete();

            return json(['code'=>1,'msg'=>'删除节点成功']);
        }else{
            return json(['code'=>1,'msg'=>'删除节点失败']);

        }
    }




    function replaceimg($xstr, $oriweb){
        $uid=Cookie('hostuid');
        $d = date('Ymd', time());
        $dirslsitss =app()->getRootPath()."public/static/conf/".$uid.'/'.$d;
        //分类是否存在
        if(!is_dir($dirslsitss)) {
            @mkdir($dirslsitss, 0777);
        }
//匹配图片的src
        preg_match_all('#<img.*?src="([^"]*)"[^>]*>#i', $xstr, $match);
        foreach($match[1] as $imgurl){
            $imgurl = $imgurl;
            if(is_int(strpos($imgurl, 'http'))){
                $arcurl =str_replace('https://c-oss-img.tentrue.com', 'http://c-oss-img.tentrue.com', $imgurl) ;
            } else {
                $arcurl = $oriweb.$imgurl;
            }
            
            $img=@file_get_contents($arcurl);
            if(!empty($img)) {
//保存图片到服务器
                $dirurl=$oriweb."/static/conf/".$uid.'/'.$d.'/';
                $fileimgname = time()."-".rand(1000,9999).".jpg";
                $filecachs=$dirslsitss."/".$fileimgname;
                $fanhuistr = file_put_contents( $filecachs, $img );
                $saveimgfile =$dirurl.$fileimgname;
                $xstr=str_replace($imgurl,$saveimgfile,$xstr);
            }
        }
        // return array('k1'=> $xstr,'k2'=>$saveimgfile);
        return $xstr;
    }



}
