<?php
/**
 * Created by PhpStorm.
 * User: HP
 * Date: 2022/3/11
 * Time: 10:20
 */

namespace app\admin\controller;
use think\facade\Db;
use think\facade\View;
use app\admin\model\Service as ServiceModel;
class Service extends Common
{

    public function index(){

        $serviceRes= Db::name('service')->withAttr('blog', function ($value) {
            return json_decode($value,true);
        })->withAttr('zhuti', function ($value) {
            return json_decode($value,true);
        })->withAttr('content', function ($value) {
            return json_decode($value,true);
        })->withAttr('status', function ($value) {
            if ($value==0){
                return '待审核';
            }
            if ($value==1){
                return '已授权';
            }
            if ($value==2){
                return '审核不通过';
            }
        })->paginate(15);

        View::assign([
            'service'=>$serviceRes
        ]);


        return view();
    }

    public function edit(){
        if (request()->isPost()){
            $status=input('status');
            $id=input('id');
            $account=input('account');
            $u=input('url');
            if ($status==0){
                $title='授权申请审核中';
            }
            if ($status==1){
                $title='授权申请审核通过';
            }
            if ($status==2){
                $title='授权申请不通过';
            }
            //【是否开发票】是 但【绑定主体】发票企业名称 不全，请完善信息后在提交
            $html='<table class="table mb-0" width="100%" style=" border-collapse:collapse;"><tbody><tr class="firstRow" style="height: 40px;line-height: 40px"><td class="text-right bg-light" style="border-width: 1px; border-style: solid; border-color: rgb(221, 221, 221);" width="120">授权域名：</td><td class="text-left" style="border-width: 1px; border-style: solid; border-color: rgb(221, 221, 221);" >'.$u.'</td> </tr><tr style="height: 40px;line-height: 40px"><td class="text-right bg-light" style="border-width: 1px; border-style: solid; border-color: rgb(221, 221, 221);" width="120">状态：</td><td class="text-left" style="border-width: 1px; border-style: solid; border-color: rgb(221, 221, 221);" >'.$title.'</td></tr><tr style="height: 40px;line-height: 40px"><td class="text-right bg-light" style="border-width: 1px; border-style: solid; border-color: rgb(221, 221, 221);" width="120">详情：</td><td class="text-left" style="border-width: 1px; border-style: solid; border-color: rgb(221, 221, 221);"> '.$account.'</td></tr></tbody></table>';
            $url='https://www.hbsjsd.cn/api/word/sendmail';
            //$account,$url,$title="审核状态"
            $data['toemial']=input('email');
            $data['account']=$title.$account;
            $data['url']=$u;
            $data['title']='授权审核状态详情查看';
            $data['html']=$html;
            $data= $this->http_request($url,$data);

           $edit= Db::name('service')->where('id','=',$id)->update(['status'=>$status,'account'=>$account]);



            if($edit){
                return json(['code'=>1,"msg"=>'审核成功']);
            }else{
                return json(['code'=>0,"msg"=>'审核失败!']);
            }
        }

        $id=input('id');

        $data= Db::name('service')->withAttr('blog', function ($value) {
            return json_decode($value,true);
        })->withAttr('zhuti', function ($value) {
            return json_decode($value,true);
        })->withAttr('content', function ($value) {
            return json_decode($value,true);
        })->withAttr('time', function ($value) {
            return date('Y-m-d', $value);
        })->find($id);

        View::assign([
            'service'=>$data
        ]);
        return view();
    }

    public function del($cid){
        $del=Db::name('service')->delete($cid);
        if ($del){
            return json(['code'=>1,"msg"=>'删除成功']);
        }
        return json(['code'=>0,"msg"=>'删除失败!']);
    }
}