<?php
/**
 * Created by PhpStorm.
 * User: pc
 * Date: 2020/10/30
 * Time: 16:52
 */

namespace app\admin\controller;
use think\facade\Db;
use think\facade\View;
use think\facade\Cookie;
use app\admin\model\Sitemap as SitemapModel;


use QL\QueryList;
use phpQuery;
class Sitemap extends Common
{
    public function index()
    {

//        $url = $this->config['siteurl'];

        if (request()->isPost()){
            $data=input('post.');

            $add= SitemapModel::GetAdd($data);
            return $add;

        }

        return view();
    }


    public function baidu(){
        if (request()->isPost()){

            $content=input('url');

            $array = explode("\n", $content); //转换成数组
           
            $array = array_filter($array);  // 去空
            $urls = array_unique($array);  // 去重
            $conf=Db::name('conf')->field('baidu,id')->order('id desc')->find();
            $confRes=json_decode($conf['baidu'],true);
            if (input('arr')==0){
                $api = $confRes['url'];
               
                 $ch = curl_init();
            $options =  array(
                CURLOPT_URL => $api,
                CURLOPT_POST => true,
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_POSTFIELDS => implode("\n", $urls),
                CURLOPT_HTTPHEADER => array('Content-Type: text/plain'),
            );
            curl_setopt_array($ch, $options);
            $result = curl_exec($ch);

            $data=json_decode($result,true);

            if ($data==''){
                return json(['code'=>0,'msg'=>'推送失败/推送次数使用完']);
            }
            if ($data['success']>0){
                return json(['code'=>1,'msg'=>'推送文章成功']);
            }

            if (isset($data['error'])==401){
                return json(['code'=>0,'msg'=>'推送失败']);
            }
            }else{
                $api =$confRes['urls'];;
                
               if (count($urls)>10){
                   return json(['code'=>0,'msg'=>'快速收录每天最多推送10条数据']);
               }
               
	     
				$api = 'http://data.zz.baidu.com/urls?site=https://www.hbsjsd.cn/&token=kR6xr6WGuKbDLKjV&type=daily';
				$ch = curl_init();
				$options =  array(
				    CURLOPT_URL => $api,
				    CURLOPT_POST => true,
				    CURLOPT_RETURNTRANSFER => true,
				    CURLOPT_POSTFIELDS => implode("\n", $urls),
				    CURLOPT_HTTPHEADER => array('Content-Type: text/plain'),
				);
				curl_setopt_array($ch, $options);
				$result = curl_exec($ch);
			
				 $data=json_decode($result,true);
				 if(isset($data['error']) && $data['error']==400){
				 	 return json(['code'=>0,'msg'=>'推送失败，次数使用完']);
				 }
	            if ($data==''){
	                return json(['code'=>0,'msg'=>'推送失败/推送次数使用完']);
	            }
	            if ($data['success']>0){
	                return json(['code'=>1,'msg'=>'推送文章成功']);
	            }
	
	            if (isset($data['error'])==401){
	                return json(['code'=>0,'msg'=>'推送失败']);
	            }        
            }

        }

        return view();
    }


    public function baidusite(){
        if (request()->isPost()) {
            $content = input('data');
            //$url="http://www.baidu.com/s?wd=".$content;

            $data = baidusite($content);

            if ($data==true) {
                return json(['code' => 1, 'data' => $content, 'msg' => '已收录']);
            } else {
                return json(['code' => 0, 'data' => $content, 'msg' => '未收录']);
            }
        }
        return view();
    }

    public function baidukeywords(){
        if (request()->isPost()) {
            $content = input('data');
            $url = input('url');
            $data = baidukeywords($url,$content);
            return json(['code' => 1, 'data' => $data]);
        }
        return view();
    }
}