<?php
/**
 * Created by PhpStorm.
 * User: HP
 * Date: 2022/3/10
 * Time: 11:22
 */

namespace app\admin\controller;

use app\Request;
use think\facade\Cookie;
use think\facade\Db;
use app\admin\model\Upload as UploadModel;
use OSS\Core\OssException;
use OSS\Core\OssUtil;
use OSS\OssClient;
use app\admin\validate;

class Upload extends Common
{
    /*LTAI4GKvUwiFysqtpkNkapXB
    00ZsAlg9yttRVozs2Dj2pG0WhS7adq
     * img 缩略图方法
     * ossvideo 视频上传方法
     * ossthumb 缩略图上传方法 服务器上传到OSS上
     * $this->accessKeyId OSS配置
     * $this->accessKeySecret OSS配置
     * $this->endpoint OSS配置
     * $this->bucket OSS配置
     * $this->endpoint_fw 替换返回地址进行处理
     * ossthumb 上传本地缩略图到OSS上
     * */
    public function uploadimg()
    {


        $image_cate = Db::name('image_cate')->where('uid', '=', Cookie('uid'))->find();

        $conf = Db::name('conf')->field('web')->find(1);
        $confRes = json_decode($conf['web'], true);


        $name = input('name');
        if (!isset($_GET['bai'])) {
            $imgfile = 'imgfile';

        } else if (isset($_GET['bai']) && $_GET['bai'] == 'editormd') {
            $imgfile = "editormd-image-file";
        } else {
            $imgfile = 'upfile';
        }

        $file = request()->file($imgfile);


        $arrList1 = $_FILES[$imgfile]['name'];
        $arrList2 = $_FILES[$imgfile]['tmp_name'];
        $content = file_get_contents($arrList2);

        if (isset($_GET['bai']) && $_GET['bai'] == 'editormd') {
            if ($this->accessKeyId !== '' || $this->accessKeySecret !== '') {
                return UploadModel::ossput($this->accessKeyId, $this->accessKeySecret, $this->endpoint, $this->bucket, $this->endpoint_fw, $this->img . '/' . Cookie('hostuid'), $name, $arrList1, $content);

            }else{
                $file = request()->file($imgfile);

                $savename = \think\facade\Filesystem::disk('public')->putFile('/conf/' . Cookie('hostuid'), $file);

                $savename = \think\facade\Request::domain() . '/static/' . $savename;


                Db::name('image')->insert(['url' => $savename,'uiid' => Cookie::get("uid"), 'uid' => input('uid') ? input('uid') : 2]);
                $result = [
                    'success'=>1,
                    'state' => 'SUCCESS',
                    'url' =>$savename,
                    'title' => '图片',
                    'original' =>$savename
                ];
                return json($result);

            }
        }


        //判断是否开启OSS
        if ($this->accessKeyId !== '' || $this->accessKeySecret !== '') {
            //不加水印直接上传

            if (isset($_GET['thumb']) && $_GET['thumb'] == 1) {

                return UploadModel::ossput($this->accessKeyId, $this->accessKeySecret, $this->endpoint, $this->bucket, $this->endpoint_fw, $this->img . Cookie('hostuid') . '/', $name, $arrList1, $content);
            }
            $exc = strtoupper(substr($arrList1, strrpos($arrList1, ".")));

            if ($exc == ".MP4" || $exc == ".ZIP" || $exc == ".DOC" || $exc == ".DOCX" || $exc == ".RTF" || $exc == ".XLSX" || $exc == ".XLS" || $exc==".PPTX"  || $exc==".PPT") {
                $dataurl = UploadModel::ossvideo($this->accessKeyId, $this->accessKeySecret, $this->endpoint, $this->bucket, 'video/' . Cookie('hostuid'), $arrList1, $file);

            
                $add = Db::name('image')->insert(['url' => $dataurl, 'uid' => input('uid') ? input('uid') : 2, 'attr' => $exc, 'uiid' => Cookie::get("uid")]);
                if ($add !== false) {
                    $result = [
                        'code' => 1,
                        'state' => 'SUCCESS',
                        'url' => $dataurl,
                        'title' => '图片',
                        'original' => $dataurl
                    ];
                    return json($result);
                    //return returnjson(1,$dataurl);
                }
                return returnjson(0, '上传错误');
            }
            //如果是图片 判断是否开启缩略图
            if ($confRes['thumb'] !== '1') {
                //不开启 直接上传
                return UploadModel::ossput($this->accessKeyId, $this->accessKeySecret, $this->endpoint, $this->bucket, $this->endpoint_fw, $this->img . '/' . Cookie('hostuid'), $name, $arrList1, $content);

            } else {
                //开启缩略图后 处理缩略图和水印 在处理
                //上传本地缩略图到OSS
                $file = request()->file($imgfile);
                $savename = \think\facade\Filesystem::disk('public')->putFile($this->img . Cookie('hostuid'), $file);
                $savename_img = str_replace('\\', '/', $savename);

                //处理缩略图
                $savenamer = UploadModel::img($savename_img);

                if ($savenamer) {
                    $url = app()->getRootPath() . 'public/static/' . $savenamer;

                    return UploadModel::ossthumb($this->accessKeyId, $this->accessKeySecret, $this->endpoint, $this->bucket, $this->endpoint_fw, $name, $savename_img, $url, $this->img . '/' . Cookie('hostuid'), input('uid'));


                }


            }
        } else {
            if (!isset($_GET['bai'])) {
                $imgfile = 'imgfile';
            } else {
                $imgfile = 'upfile';
            }
            $file = request()->file($imgfile);

            $savename = \think\facade\Filesystem::disk('public')->putFile('/conf/' . Cookie('hostuid'), $file);

            $savename = str_replace('\\', '/', $savename);

            if (isset($_GET['thumb']) && $_GET['thumb'] == 1){
                $savename=$savename;
            }
            if (!isset($_GET['thumb'])){
                if ($confRes['thumb'] == "1") {
                    $savename = UploadModel::img($savename);
                }
            }

            $savename = \think\facade\Request::domain() . '/static/' . $savename;

            Db::name('image')->insert(['url' => $savename,'uiid' => Cookie::get("uid"), 'uid' => input('uid') ? input('uid') : 2]);

            if (!isset($_GET['bai'])) {
                return returnjson(1, $savename);
            } else {
                $result = [
                    'state' => 'SUCCESS',
                    'url' => $savename,
                    'title' => '图片',
                    'original' => $savename
                ];
                return json($result);
            }

        }


    }

    //附件上传
    public function uploadfile(){

        $imgfile = 'upfile';
        $file = request()->file($imgfile);
        $name = $_FILES[$imgfile]['name'];
        $tmp_name = $_FILES[$imgfile]['tmp_name'];
        $size = $_FILES[$imgfile]['size'];
        $exc = strtoupper(substr($name, strrpos($name, ".")));
        $savename = \think\facade\Filesystem::disk('public')->putFileAs('/conf/' . Cookie('hostuid').'/file/'.date('Ymd', time()), $file,$name);

        $url=\think\facade\Request::domain() . '/static/' . $savename;
        Db::name('image')->insert(['url' => $url,'uiid' => Cookie::get("uid"), 'uid' => input('uid') ? input('uid') : 2,'attr'=>$exc]);
        $result = [
            "state" => "SUCCESS",          //上传状态，上传成功时必须返回"SUCCESS"
            "url" => $url,            //返回的地址
            "title" => $name,          //新文件名
            "original" => $name,       //原始文件名
            "type" => ""  ,           //文件类型
           "size" => $size,           //文件大小
        ];
        return json($result);
    }


    //单张图片删除
    //单张图片删除
    public function delimg($url = "", $id = '')
    {

        if ($this->endpoint_fw !== '' && strpos($url, $this->endpoint_fw) !== false) {
            try {
                $ossClient = new OssClient($this->accessKeyId, $this->accessKeySecret, $this->endpoint, true);
                $bucket = $this->bucket;

                $obj = substr($url, strripos($url, $this->endpoint_fw) + (strlen($this->endpoint_fw)) + 1);

                $ossClient->deleteObject($bucket, $obj);
                $del = Db::name('image')->delete($id);
                if ($del) {
                    return json(['code' => 1, 'msg' => '删除成功']);
                }
            } catch (OssException $e) {
                printf(__FUNCTION__ . ": FAILED\n");
                printf($e->getMessage() . "\n");
                return;
            }


        } else {
            $url = parse_url($url);
            $file = app()->getRootPath() . "public/" . $url['path'];

            @unlink($file);
            if ($id !== '') {
                $del = Db::name('image')->delete($id);
                if ($del) {
                    return json(['code' => 1, 'msg' => '删除成功']);
                }
            }
            return json(['code' => 1, 'msg' => '删除成功']);
        }
    }

    //大文件上传视频
    //$accessKeyId,$accessKeySecret这两个值都是可以在阿里云的账号中获取到的
    //$endpoint是oss仓库中的 Endpoint地域节点中的外网访问的那个,也可以是传输加速域名的那个
    //$bucket 是oss的仓库名称
    //$object是指在上传到阿里云oss后文件的路径(其中包含了路径+文件名称)
    //$filePath是指在前端上传文件到后端后,有一个临时存放的位置,一般的键名是tmp_name

    public function ossvideo($name, $arrList1, $file)
    {
        $options = array(
            OssClient::OSS_CHECK_MD5 => true,
            OssClient::OSS_PART_SIZE => 10 * 1024,
        );
        $object = $name . date('Y-m-d', time()) . '/' . $arrList1;
        try {
            $ossClient = new OssClient($this->accessKeyId, $this->accessKeySecret, $this->endpoint, true);

            $info = $ossClient->multiuploadFile($this->bucket, $object, $file, $options);

            if ($info['info']['url']) {
                $url = substr($info['info']['url'], 0, strrpos($info['info']['url'], "?"));
                return $url;
            } else {
                return false;
            }
        } catch (OssException $e) {
            printf(__FUNCTION__ . ": FAILED\n");
            printf($e->getMessage() . "\n");
            return;
        }


    }


}