<?php
/**
 * Created by PhpStorm.
 * User: pc
 * Date: 2021/4/13
 * Time: 11:30
 */

namespace app\admin\listener;
use think\facade\Db;
use think\facade\Request;
use think\facade\Cookie;
class UserLogin
{
    public function handle($event)
    {
        $controller = strtolower(request()->controller());

        $action = strtolower(request()->action());

        $data['url'] ='/'.$controller . "/" . $action;

        $uid=Cookie::get('uid');

        $data['operator']=$uid?$uid:0;
        //1.获取日志信息
        if ($data['url']!=='/index/index' && $data['url']!=='/index/welcome'){
            $description=Db::name("auth_rule")->where("name",'like','%'.$data['url'].'%')->value("title");
        }else{
            if ($data['url']=='/index/index'){
                $description='首页' ;
            }else if($data['url']=='/index/welcome'){
                $description='首页右' ;
            }
        }


        $data['description']=$description?$description:"未知";
        $data['operate_time']=time();
        $data['operate_ip']=Request::ip();

        Db::name('logs')->insert($data);

    }
}