<?php
/**
 * Created by PhpStorm.
 * User: pc
 * Date: 2021/4/12
 * Time: 13:18
 */

namespace app\admin\model;

use think\Model;
use think\facade\Session;
use think\facade\Db;
use think\exception\ValidateException;
use app\admin\validate\Admin as AdminValidate;
use think\facade\Lang;
class Admin extends Model
{
    public function login($data){

        $uname=$data['uname'];
        $password=md5($data['password']);


        $admins=self::where('uname','=',$uname)->whereOr('phonenumber','=',$uname)->whereOr('email','=',$uname)->find();
        //$admins=self::where('uname','=',$uname)->find();


        if ($admins){
            if($admins['status']==0){
                //return 4;//管理员被禁用
                return returnjson(4,'管理员被禁用');
            }
            $_password=$admins['password'];
            if ($_password==$password){
                $sign_data['uname']=$data['uname'];
                $sign_data['password']=md5($data['password']);
                $sign_data['last_time']=time();

                ksort($sign_data);//排序
                $sign_data_str=http_build_query($sign_data);

                $code=md5($sign_data_str);
                self::where('uname','=',$uname)->update(['login_code'=>$code]);
                if (isset($data['code'])){

                    Cookie('uname',$admins['uname'],$data['code']);
                    Cookie('code',$code,$data['code']);
                    Cookie('uid',$admins['id'],$data['code']);
                }else{
                    Cookie('uname',$admins['uname']);
                    Cookie('code',$code);
                    Cookie('uid',$admins['id']);
                }
                //return 1;//密码正确可以登录
                return returnjson(1,'登录成功');
            }else{
                //return 2;//密码出错
                return returnjson(2,'密码或者帐号错误');
            }
        }else{
            //return 3;
            return returnjson(3,'账号不存在或密码错误');
        }
    }

    public static function getadd($data){
        $uname= Db::name('admin')->where('uname','=',$data['uname'])->find();
         if($uname){
             return returnjson(0,'管理员名称不得重复');
         }
        if($data['uname']==''){
            return returnjson(0,'管理员名称不得为空');
        }
        if ($data['groupid']==''){
            return returnjson(0,'所属用户组不得为空');
        }
       if ($data['password']==''){
           return returnjson(0,'管理员密码不能为空');
       } if (strlen($data['password'])<6){
            return returnjson(0,'管理员密码不能少于6位');
        }

        //验证
//        try {
//            $result =  validate(AdminValidate::class)->scene('add')->check($data);
//        } catch (ValidateException $e) {
//            // 验证失败 输出错误信息
//            return returnjson(0,$e->getError());
//        }
        //密码加密
        $data['password']=md5($data['password']);
        $data['create_time']=time();
        $data['last_time']=time();
        $data['uid']=Cookie('hostuid');
        $add=Db::name('admin')->insertGetId($data);
        $_data=array();//对应管理员和用户组
        $_data['uid']=$add;
        $_data['group_id']=$data['groupid'];
        $addGroupAccess=Db::name('authGroupAccess')->insert($_data);
        if ($add && $addGroupAccess){
            return returnjson(1,'添加管理员成功');
        }else{
            return returnjson(1,'添加管理员失败');
        }
    }

    public static function getedit($data){
        if($data['uname']==''){
            return returnjson(0,'管理员名称不得为空');
        }
        if ($data['groupid']==''){
            return returnjson(0,'所属用户组不得为空');
        }
//        if ($data['password']==''){
//            return returnjson(0,'管理员密码不能为空');
//        } if (strlen($data['password'])<6){
//            return returnjson(0,'管理员密码不能少于6位');
//        }
        //验证
//        try {
//            $result =  validate(AdminValidate::class)->scene('edit')->check($data);
//        } catch (ValidateException $e) {
//            // 验证失败 输出错误信息
//            return returnjson(0,$e->getError());
//        }
        if($data['password']!==''){
            $data['password']=md5($data['password']);
        }else{
            unset($data['password']);
        }


        $save=Db::name('admin')->update($data);
        $ccess=Db::name('auth_group_access')->where(array('uid'=>$data['id']))->find();
        if ($ccess){
            $saveaccess= Db::name('auth_group_access')->where(array('uid'=>$data['id']))->update(['group_id'=>$data['groupid']]);
        }else{
            $saveaccess= Db::name('auth_group_access')->insert(['uid'=>$data['id'],'group_id'=>$data['groupid']]);
        }

        if($save!==false){
            return returnjson(1,'修改管理员成功');
        }else{
            return returnjson(0,'修改管理员成功');
        }
    }
}