<?php
/**
 * Created by PhpStorm.
 * User: HP
 * Date: 2022/3/28
 * Time: 12:35
 */

namespace app\admin\model;
use think\Model;
use app\admin\validate\AuthRule as AuthRuleValidate;
use think\exception\ValidateException;
class AuthRule extends Model
{
    public function ruletree($ruleRes){
        // $ruleRes=$_ruleRes;
        return $this->sort($ruleRes);
    }
    public function sort($ruleRes,$pid=0,$level=0){
        static $arr=array();
        foreach ($ruleRes as $k=>$v){
            if ($v['pid']==$pid){
                $v['level']=$level;
                $arr[]=$v;
                $this->sort($ruleRes,$v['id'],$level+1);
            }
        }
        return $arr;
    }

    public static  function getadd($data){
        try {
            $result =  validate(AuthRuleValidate::class)->scene('add')->check($data);
        } catch (ValidateException $e) {
            // 验证失败 输出错误信息
            return returnjson(0,$e->getError());
        }

        $add=self::insert($data);
        if($add){
            return returnjson(1,'添加规则成功');
        }else{
            return returnjson(0,'添加规则失败');
        }
    }
    public static  function getedit($data){
        try {
            $result =  validate(AuthRuleValidate::class)->scene('edit')->check($data);
        } catch (ValidateException $e) {
            // 验证失败 输出错误信息
            return returnjson(0,$e->getError());
        }
        $edit=self::update($data);
        if($edit){
            return returnjson(1,'修改规则成功');
        }else{
            return returnjson(0,'修改规则失败');
        }
    }
}