<?php
/**
 * Created by PhpStorm.
 * User: HP
 * Date: 2022/3/11
 * Time: 10:20
 */

namespace app\admin\model;

use think\facade\Db;
use think\Model;
use think\facade\Cookie;
class CouponRules extends Model
{
   public function GetAdd($data){

       if ($data['use_conditions']==0){
           $data['quantity_ceiling']='';
       }
       if ($data['grant_max_num']=='0' || $data['grant_max_num']>'999'){
           $data['grant_max_num']=999;
       }
       $data['gmt_create']=time();
       $data['creator']=Cookie::get('uid');
       $data['grant_start_time']=strtotime($data['grant_start_time']);
       $data['grant_end_time']=strtotime($data['grant_end_time']);
       $data['use_id']=$data['select'];


       $id=self::strict(false)->insertGetId($data);



       if($id){
           if ($data['grant_rules']==0 && $data['select']!==''){
               self::grant_rules($id,$data['select']);
           }
           return returnjson(1,'添加成功');
       }else{
           return returnjson(0,'添加失败！');
       }

   }
   //赠送
    public static function grant_rules($id,$select){
 
        $select=explode(',',$select);


        $_data=self::find($id);

        foreach ($select as $v){
          $coupon_info=  Db::name('coupon_info')->where('rules_id','=',$_data['id'])->where('member_id','=',$v)->find();
          if (!$coupon_info){
              $data=[
                  'rules_id'=>$_data['id'],
                  'grant_time'=>time(),
                  'status'=>0,
                  'member_id'=>$v,
                  'coupon_name'=>$_data['coupon_name'],
                  'coupon_amount'=>$_data['coupon_amount'],
                  'use_start_time'=>$_data['grant_start_time'],
                  'use_end_time'=>$_data['grant_end_time'],
                  'use_conditions'=>$_data['use_conditions'],
                  'content'=>$_data['content'],
                  'gmt_create'=>time(),
                  'duration'=>$_data['duration'],
                  'quantity_ceiling'=>$_data['quantity_ceiling'],
                  'grant_conditions'=>$_data['grant_conditions'],
              ];
              Db::name('coupon_info')->insert($data);
          }

        }

    }
   public function GetEdit($data){

       if ($data['use_conditions']==0){
           $data['quantity_ceiling']='';
       }
       if ($data['grant_max_num']=='0' || $data['grant_max_num']>'999'){
           $data['grant_max_num']=999;
       }
       $data['gmt_create']=time();
       $data['creator']=Cookie::get('uid');
       $data['grant_start_time']=strtotime($data['grant_start_time']);
       $data['grant_end_time']=strtotime($data['grant_end_time']);
       $data['use_id']=$data['select'];

       $edit=self::update($data);
       if($edit){
           if ($data['grant_rules']==0 && $data['select']!==''){
               self::grant_rules($data['id'],$data['select']);
           }
           return returnjson(1,'编辑成功');
       }else{
           return returnjson(0,'编辑失败！');
       }
   }
}