<?php
/**
 * Created by PhpStorm.
 * User: HP
 * Date: 2022/3/11
 * Time: 10:20
 */

namespace app\admin\model;
use think\facade\Db;
use think\Model;
use think\File;
use OSS\Core\OssException;
use OSS\Core\OssUtil;
use OSS\OssClient;
use think\facade\Cookie;
class Upload extends Model
{

    /*
     * $info  本地图片地址
     * $conflist['thumb_way']//缩略图裁剪方式
     * $conflist['water_pos'] 缩略图水印
     * */
   public static function img($info){

       $conf= Db::name('conf')->find(1);
       $conflist=json_decode($conf['thumb'],true);

       if($info) {
           $thumb_width = $conflist['thumb_width'];
           $thumb_height = $conflist['thumb_height'];
           $water_pos = $conflist['water_pos'];
           $tmd = $conflist['tmd'];
           //缩略图裁剪方式
           switch ($conflist['thumb_way']) {
               case '0':
                   $thumb_way=1;
                   break;
               case '1':
                   $thumb_way=2;
                   break;
               case '2':
                   $thumb_way=3;
                   break;
               case '3':
                   $thumb_way=4;
                   break;
               case '4':
                   $thumb_way=5;
                   break;
               case '5':
                   $thumb_way=6;
                   break;

               default:
                   $thumb_way=1;
                   break;
           }
           switch ($conflist['water_pos']) {
               case '0':
                   $thumb_pos=1;
                   break;
               case '1':
                   $thumb_pos=2;
                   break;
               case '2':
                   $thumb_pos=3;
                   break;
               case '3':
                   $thumb_pos=4;
                   break;
               case '4':
                   $thumb_pos=5;
                   break;
               case '5':
                   $thumb_pos=6;
                   break;
               case '6':
                   $thumb_pos=7;
                   break;
               case '7':
                   $thumb_pos=8;
                   break;
               case '8':
                   $thumb_pos=9;
                   break;
               default:
                   $thumb_pos=9;
                   break;
           }
           //数据处理

           $imgSrc = app()->getRootPath()."public/static\\" .$info;

           $imgSrc=str_replace("\\", '/', $imgSrc);

           $image = \think\Image::open($imgSrc);


          // $urla= str_replace($this->images, "", $conflist['img1']);
           $water = app()->getRootPath().'public'.$conflist['img'];//$conflist['img'];

           $water = str_replace("\\", '/', $water);



           if($conflist['attr']==0){

               if($conflist['thumb']==1 && $conflist['water']==1 ){

                   $image->thumb($thumb_width, $thumb_height, $thumb_way)->water($water, $thumb_pos, $tmd)->save($imgSrc);
                   $imgpath = $info;
                   $imgpath = str_replace("\\", '/', $imgpath);
                   return $imgpath;
               }
               if($conflist['thumb']==1 && $conflist['water']==0){

                   $image->thumb($thumb_width, $thumb_height, $thumb_way)->save($imgSrc);
                   $imgpath = $info;
                   $imgpath = str_replace("\\", '/', $imgpath);
                   return $imgpath;
               }
               if ($conflist['thumb']==0 && $conflist['water']==1){

                   $image->water($water, $thumb_pos, $tmd)->save($imgSrc);
                   $imgpath = $info;
                   $imgpath = str_replace("\\", '/', $imgpath);
                   return $imgpath;
               }

           }
           if($conflist['attr']==1){

               if($conflist['thumb']==1 && $conflist['water']==1 ){
                   $image->thumb($thumb_width, $thumb_height, $thumb_way)->text($conflist['title'] ,'HuaGuangGangTieZhiHei-KeBianTi-2.ttf',$conflist['size'],$conflist['color'],$thumb_pos)->save($imgSrc);

               }
               if($conflist['thumb']==0 && $conflist['water']==1 ){

                   $image->text($conflist['title'] ,'HuaGuangGangTieZhiHei-KeBianTi-2.ttf',$conflist['size'],$conflist['color'],$thumb_pos)->save($imgSrc);
               }
           }

           if($conflist['thumb']==1 && $conflist['water']==0){
               $image->thumb($thumb_width, $thumb_height, $thumb_way)->text('','HuaGuangGangTieZhiHei-KeBianTi-2.ttf','16')->save($imgSrc);
           }
           $imgpath = $info;
           $imgpath = str_replace("\\", '/', $imgpath);
           return $imgpath;


       }
   }

   /*
    * $accessKeyId oss accessKeyId
    * $accessKeySecret oss accessKeySecret
    * $endpoint oss endpoint
    * $bucket oss bucket
    * $endpoint_fw 替换不全访问地址
    * $name  上传位置
    * $img 如何 $name不存在 使用$img
    * $savename 上传本地文件  /users/local/myfile.txt
    * $url 上传本地文件路径"D:\\localpath\\examplefile.txt";
    * $uid 数据库保存图片栏目位置
    * */

   public static function ossthumb($accessKeyId,$accessKeySecret,$endpoint,$bucket,$endpoint_fw,$name,$savename,$url,$img,$uid){
       try{
           $ossClient = new OssClient($accessKeyId, $accessKeySecret, $endpoint, true);
           $info = $ossClient->uploadFile($bucket, $savename, $url);

           if ($info['info']['url']){
               @unlink($url);
               Db::name('image')->insert(['url'=>$info['info']['url'],'uid'=>$uid?$uid:'2', 'uiid' => Cookie::get("uid")]);
               if (!isset($_GET['bai'])){
                   return returnjson(1,$info['info']['url']);

               }else{
                   $result = [
                       'state' => 'SUCCESS',
                       'url' =>$info['info']['url'],
                       'title' => '图片',
                       'original' =>$info['info']['url']
                   ];
                   return json($result);
               }
           }
       } catch(OssException $e) {
           printf(__FUNCTION__ . ": FAILED\n");
           printf($e->getMessage() . "\n");
           return;
       }
   }

   /*
    * 不处理直接上传OSS
    * */
    public static function ossput($accessKeyId,$accessKeySecret,$endpoint,$bucket,$endpoint_fw,$img,$name,$arrList1,$content){

        try {
            $ossClient = new OssClient($accessKeyId, $accessKeySecret, $endpoint, true);

            $info = $ossClient->putObject($bucket, $img . date('Ymd', time()) . '/' . $arrList1, $content);
          
            if ($info['info']['url']){
                $infourl=explode($endpoint.'/', $info['info']['url']);
            }
            $exc = strtoupper(substr($info['info']['url'], strrpos($info['info']['url'], ".")));
            if ($exc=='.PNG' || $exc=='.JPG' || $exc=='.BMP' || $exc=='.GIF'){
                $exc='img';
            }

            Db::name('image')->insert(['url'=>$infourl[0].$endpoint_fw.'/'.$infourl[1],'uid'=>input('uid')?input('uid'):2,'uiid' => Cookie::get("uid"),'attr'=>$exc]);


            if (!isset($_GET['bai'])){
                return returnjson(1,$infourl[0].$endpoint_fw.'/'.$infourl[1]);

            }else{
                $result = [
                    'success'=>1,
                    'state' => 'SUCCESS',
                    'url' =>$infourl[0].$endpoint_fw.'/'.$infourl[1],
                    'title' => '图片',
                    'original' =>$infourl[0].$endpoint_fw.'/'.$infourl[1]
                ];
                return json($result);
            }




        } catch (OssException $e) {
            print $e->getMessage();
        }
    }

    //大文件上传视频
    //$accessKeyId,$accessKeySecret这两个值都是可以在阿里云的账号中获取到的
    //$endpoint是oss仓库中的 Endpoint地域节点中的外网访问的那个,也可以是传输加速域名的那个
    //$bucket 是oss的仓库名称
    //$object是指在上传到阿里云oss后文件的路径(其中包含了路径+文件名称)
    //$filePath是指在前端上传文件到后端后,有一个临时存放的位置,一般的键名是tmp_name

    public static function ossvideo($accessKeyId,$accessKeySecret,$endpoint,$bucket,$name="/video/",$arrList1,$file){
        $options = array(
            OssClient::OSS_CHECK_MD5 => true,
            OssClient::OSS_PART_SIZE => 10 * 1024,
        );
    
        $object=$name.'/'.date('Y-m-d', time()) . '/'.$arrList1;

        try{
            $ossClient = new OssClient($accessKeyId, $accessKeySecret, $endpoint, true);

            $info=$ossClient->multiuploadFile($bucket, $object, $file, $options);

            if ($info['info']['url']){
                if(strpos($info['info']['url'],'?') !== false)
                {
                    $url=substr($info['info']['url'],0,strrpos($info['info']['url'],"?"));
                    return $url;
                }
                return $info['info']['url'];
            }else{
                return false;
            }
        } catch(OssException $e) {
            printf(__FUNCTION__ . ": FAILED\n");
            printf($e->getMessage() . "\n");
            return;
        }




    }

}