<?php
namespace app\admin\validate;
use think\Validate;
use think\exception\ValidateException;

class Archives extends Validate
{
    protected $rule=[
        'select'=>'require',
        'attr'=>'require',
        'title'=>'require|min:2',
    ];

    protected $message=[
        'select.require'=>'所属栏目不能为空！',
        'attr.unique'=>'发文类型不能为空！',
        'title.require'=>'文章标题不能为空！',
        'title.min'=>'文章标题不能少于2字节',
    ];

    protected $scene=[
        'add'=>['select','attr','title'],
        'edit'=>['select','attr','title'],
    ];
}