<?php
namespace app\admin\validate;
use think\Validate;
use think\exception\ValidateException;

class AuthGroup extends Validate
{
    protected $rule=[
        'title'=>'require|unique:auth_group',
    ];

    protected $message=[
        'title.require'=>'用户组名名称不得为空！',
        'title.unique'=>'用户组名名称不得重复！',
    ];

    protected $scene = [
        'add'  =>  ['title'],
        'edit'  =>  ['title'],
    ];

}