<?php
/**
 * Created by PhpStorm.
 * User: HP
 * Date: 2022/3/9
 * Time: 10:59
 */

namespace app\admin\validate;

use think\Validate;
use think\exception\ValidateException;
class Product extends Validate
{
    protected $rule=[
        'item_name'=>'require|max:60',
        'select'=>'require',
        'dt_type'=>'require|number',
        'cf_type'=>'require|number',
    ];

    protected $message=[
        'item_name.require'=>'商品标题不能为空！',
        'item_name.max'=>'上面名称不能大于60个字符！',
        'select.require'=>'商品分类不能为空！',
    ];

    protected $scene=[
        'add'=>['item_name','select'],
        'edit'=>['item_name','select'],
    ];
}