<?php
/**
 * Created by PhpStorm.
 * User: HP
 * Date: 2022/3/29
 * Time: 11:54
 */

namespace app\api\model;

use think\Model;
use think\facade\Db;
class Archives extends Model
{
    public function getCate($bottom=false){

        if($bottom){//底部导航

            $cateRes=Db::name('arc_cate')->order('sort DESC,id desc')->where('pid','=',0)->where('status','=',1)->where('bottom_nav','=',0)->select()->all();

        }else{//顶部导航
            $cateRes=Db::name('arc_cate')->order('sort DESC,id desc')->where(array('pid'=>0,'status'=>1))->select()->all();
        }
        foreach ($cateRes as $k => $v) {
            $cateRes[$k]['children']=Db::name('arc_cate')->where(array('pid'=>$v['id'],'status'=>1))->select()->all();
        }
        return $cateRes;
    }
    //获取网站配置
    public static function getConf(){
        $confRes= Db::name('conf')->find(1);
        $conf=json_decode($confRes['web'],true);;

        return $conf;
    }

    public function links(){
        $links=Db::name('links')->order('id desc')->where('status','=',1)->where('webstatus','=',0)->select();
        return $links;
    }
    public function getTopId($cid){

        $data=Db::name('arc_cate')->field('id,pid')->select();
        $arr=array();
        foreach ($data as $k => $v) {
            $arr[$v['id']]=$v['pid'];
        }
        $id = $cid;

        while($arr[$id]) {
            $id = $arr[$id];
        }
        return  $id; // 1
    }


    public function position($cid){
        static  $pos=array();
        if (empty($pos)){
            $cates=Db::name('arc_cate')->field('id,pid,cate_name,cate_attr')->find($cid);
            $pos[]=$cates;
        }
        $data=Db::name('arc_cate')->field('id,pid,cate_name,cate_attr')->select();//所有栏目ID
        $cates=Db::name('arc_cate')->field('id,pid,cate_name,cate_attr')->find($cid);//当前栏目ID
        foreach ($data as $k=>$v){
            if ($cates['pid']==$v['id']){
                $pos[]=$v;
                $this->position($v['id']);
            }
        }
        return array_reverse($pos);
    }

}