<?php
declare (strict_types=1);

namespace app\template\controller;

use think\facade\Config;
use think\facade\Db;
use think\facade\View;
use app\template\model\Cate;
use think\facade\Request;

class Index extends Common
{

    public function index()
    {

        Db::name('click')->insert(['cid' => 1, 'time' => time(), 'operate_ip' => Request::ip()]);

        $cata = $this->getCate(false);
        $confs = $this->conflist;

        $mark = Db::name('arc_cate')->where('mark', 'like', 'news%')->field('mark')->select();

        foreach ($mark as $k => $v) {

            $news = (new Cate())->getPageContent($v['mark']);

            $newsv = $v['mark'];
            View::assign("$newsv", $news);
        }

        //获取单页数据
        $page = Db::name('arc_cate')->where('mark', 'like', 'page%')->select();

        foreach ($page as $k => $v) {
            $news = (new Cate())->getabout($v['mark']);
            $newsv = $v['mark'];
            View::assign(["$newsv" => $news]);
        }



        $topCates['id'] = 'index';
        View::assign([
            'cata' => $cata,
            'confs' => $confs,
            'topcid' => $topCates['id']

        ]);
        $tempSrc = $this->Conf . '/index.html';
        //判断静态页面不存在生成静态页面
        if (isset($this->iscache) && $this->iscache == '1') {
            $this->buildHtml('index', app()->getRootPath() . "runtime/" . $this->lang . "/index/", $tempSrc);
            // $tempSrc = app()->getRootPath() . "runtime/pages/" . 'index' . '.html';
        }

        return View::fetch($tempSrc);

    }

}
