<?php
namespace app\template\controller;

use think\facade\Db;
use think\facade\View;

class Search extends Common
{
    public function search($keywords='',$tag='')
    {

        if ($keywords=='' && $tag==''){
          $this->error('请输入搜索关键词！');
        }
        if(strpos(request()->url(),'/index.php') !== false){
            $index = str_replace("/index.php","",request()->url());
            return redirect($index);
        }

        $tempSrc=$this->Conf.'/search.html';
        if ($keywords){
            $where='';
            $where.='a.title LIKE "%'.$keywords.'%"';

            $artRes=Db::name('archives')->alias('a')->join('pics p','a.id=p.aid','LEFT')->group('a.id')->field('a.*,p.pic')
                ->where($where)->order('a.time DESC')->where('a.attr','<>','2')
                ->paginate([
                    'list_rows'=>12,
                    'query'=>request()->param(),
                    'var_page' => 'page',
                ]);

            View::assign([
                'keywords'=>$keywords,
                'keysarr'=>$keywords
            ]);



        }
        if($tag){
            $map['keywords']=['like','%'.$tag.'%'];
            $_data['keywords']=$tag;
            $artRes=Db::name('archives')->alias('a')->join('pics p','a.id=p.aid','LEFT')->group('a.id')->field('a.*,p.pic')->where('keywords','like','%'.$tag.'%')->where('a.attr','<>','2')->order('a.id desc')->paginate([
                'list_rows'=>12,
                'query'=>request()->param(),
                'var_page' => 'page',
            ]);

            View::assign([
                'keywords'=>$tag,
                 'keysarr'=>$tag
            ]);
        }
        $topCates['id']='Search';
        $cates['id']=0;
        View::assign([
            'artRes'=>$artRes,
            'topCates'=>$topCates,
            'topcid'=>'index',//当前栏目顶级栏目的id，用户顶级栏目的高亮显示
            'cates'=>$cates,

        ]);
        return  View::fetch($tempSrc);
    }

}
