<?php
namespace app\template\model;
use think\Model;
use think\facade\Db;
use think\facade\Request;
use app\BaseController;

class Cate extends  Model
{
    public function picarr($aid){
        $picarr= Db::name('pics')->where('aid','=',$aid)->order('sort desc')->select()->toArray();
        if ($picarr){
            foreach ($picarr as $v){
                $new_arr[]=$v['pic'];
            }
            return $new_arr;
        }
        $new_arr[]='';
    }

    public  function getPageContent($cid,$limit=15){

        $res_pid=Db::name('arc_cate')->where('mark',$cid)->field('id,model_id')->find();

        if ($res_pid){
            $res=Db::name('arc_cate')->where('pid',$res_pid['id'])->field('id')->select();
            $pieces=[];
            foreach ($res as $key =>$v){
                $pieces[] = explode(",",$v['id']);
            }
            $pieces1=[];
            foreach ($pieces as $k=>$v){
                $pieces1[]=$v[0];

            }
            $pieces1[]=$res_pid['id'];
            $new_arr=Db::name('archives')->field('a.id,a.title,a.url,a.status,a.attr,a.attr_time,a.keywords,a.description,a.click,a.content,a.imgres,a.time,c.cate_name,p.pic')->alias('a')
                ->withAttr('imgres', function ($value) {
                    return json_decode($value,true);
                })
                ->join('archives_id d', 'a.id=d.aid')
                ->where("d.cate_id",'in',$pieces1)
                ->where('a.status','=',1)
                ->join('pics p', 'a.id=p.aid', 'LEFT')
                ->join('arc_cate c', 'd.cate_id=c.id')
                ->order('a.attr_time desc,a.time desc,a.id desc')
                ->limit($limit)
                ->group('a.id')->select()->toArray();
            foreach ($new_arr as $k=>$v){
                $picarr= Db::name('pics')->where('aid','=',$v['id'])->order('sort desc')->select()->toArray();
                foreach ($picarr as $v){
                    $new_arr[$k]['picarr'][]=$v['pic'];
                }
            }
            return $new_arr;
        }
    }
    //绑定栏目推荐
    public function getpush($cid,$uid){
        $res_pid=self::where('mark',$cid)->field('id,model_id')->find();
        $modelIds=self::find($res_pid['model_id']);
        $addTableName=$modelIds['table_name'];
        if ($res_pid){
            $res=self::where('pid',$res_pid['id'])->field('id')->select();
            $pieces=[];
            foreach ($res as $key =>$v){
                $pieces[] = explode(",",$v['id']);
            }
            $pieces1=[];
            foreach ($pieces as $k=>$v){
                $pieces1[]=$v[0];

            }
            $pieces1[]=$res_pid['id'];
            $new_arr=Db::name('archives')->field('a.id,a.title,a.url,a.status,a.attr,a.attr_time,a.keywords,a.description,a.click,a.time,c.cate_name,p.pic,d.cate_id')->alias('a')
                ->join('arcid d', 'a.id=d.aid')
                ->where("d.cate_id",'in',$pieces1)
                ->where('a.attr_time','<>',0)
                ->where('a.status','=',1)
                ->join('pics p', 'a.id=p.aid', 'LEFT')
                ->join('cate c', 'd.cate_id=c.id')
                ->order('a.time desc,a.id desc')
                ->limit(15)
                ->group('a.id')->select()->toArray();

            return $new_arr;
        }
    }
    //获取单页数据
    public  function getabout($cid){

        $res=Db::name('arc_cate')->where(array('mark'=>$cid))->find();
        $imgres=explode(',',$res['img']);

        $img=[];
        if (count($imgres)>1){
            foreach ($imgres as $v){
                $img[]['img']= $v;
            }
            $res['img']=$img;
        }
        return $res;
    }



    //获取子栏目id

    public function childrenids($cateid){

        $data=Db::name('arc_cate')->field('id,pid')->select();
        return $this->_childrenids($data,$cateid);
    }

    private function _childrenids($data,$cateid){
        static $arr=array();
        foreach ($data as $k => $v) {
            if($v['pid']==$cateid){
                $arr[]=$v['id'];
                $this->_childrenids($data,$v['id']);
            }
        }

        return $arr;
    }



    //查询子栏目
    public function getTopId($cid){
 
        $data=Db::name('arc_cate')->field('id,pid')->select();
        $arr=array();
        foreach ($data as $k => $v) {
            $arr[$v['id']]=$v['pid'];
        }
        $id = $cid;

        while($arr[$id]) {
            $id = $arr[$id];
        }
        return  $id; // 1
    }
    public function position($cid){
        static  $pos=array();
        if (empty($pos)){
            $cates=Db::name('arc_cate')->field('id,pid,cate_name,cate_attr,link')->find($cid);
            $pos[]=$cates;
        }
        $data=Db::name('arc_cate')->field('id,pid,cate_name,cate_attr,link')->select();//所有栏目ID
        $cates=Db::name('arc_cate')->field('id,pid,cate_name,cate_attr,link')->find($cid);//当前栏目ID
        foreach ($data as $k=>$v){
            if ($cates['pid']==$v['id']){
                $pos[]=$v;
                $this->position($v['id']);
            }
        }
        return array_reverse($pos);
    }

    public function click($aid,$uid){
        $data['uid']=$uid;
        $data['operate_time']=time();
        $data['operate_ip']=Request::ip();
        $data['aid']=$aid;
        Db::name('archives')->where('id',$aid)->inc('click')->update();//点击
        Db::name('count')->insert($data);//点击
    }

    //横标签
    public function getzuopin($a1,$uid){
        $res_pid=Db::name('arc_cate')->where('mark',$a1)->where('uid',$uid)->field('id')->find();

        $res=Db::name('arc_cate')->where('pid',$res_pid['id'])->field('id,cate_name,cate_attr')->select()->all();

        foreach ($res as $k=>$v){
            $list=Db::name('archives')->alias('a')
                ->join('arcid d', 'a.id=d.aid')
                ->join('pics b','a.id=b.aid','LEFT')
                ->where('d.cate_id',$v['id'])
                ->where('a.status',1)
                ->group('a.id')
                ->field('a.*,b.pic')->limit(16)
                ->order('a.attr_time desc,a.time desc')
                ->select()->all();

            $res[$k]['list']=$list;
        }
      
        return $res;
    }
    //按点击排行
    public function pros($limit){

        $list=Db::name('archives')->alias('a')
            ->join('archives_id d', 'a.id=d.aid')
            ->join('arc_cate c','d.cate_id=c.id')
            ->join('pics b','a.id=b.aid','LEFT')
            ->where('a.status',1)
            ->group('a.id')
            ->field('a.*,b.pic,c.cate_name,d.cate_id')->limit($limit)
            ->order('a.click desc,a.attr_time desc,a.time desc')
            ->select();
        return $list;
    }


    //缓存
    public static function cacheAdd($url,$iscache){
        
        if (isset($iscache) && $iscache=='1'){
            if (file_exists($url)){
                include $url;
                exit();
            }
        }

    }

    public static function cacheHtml($cid,$page,$url){
        $ur = $cid . '_' . $page;
        $urrd = app()->getRootPath() . "runtime/html_id/" . $ur . '.html';
        if (!file_exists($urrd)) {
            BaseController::buildHtml($ur, app()->getRootPath() . "runtime/html_id/", $url);
            $tempSrc = app()->getRootPath() . "runtime/html_id/" . $ur . '.html';
            include $tempSrc;
            exit();
        }

    }

    public static function cachepage($cid,$url){
        $ur = app()->getRootPath() . "runtime/html/" . $cid . '.html';
        if(!file_exists($ur)){
            BaseController::buildHtml($cid, app()->getRootPath() . "runtime/html/", $url);
            $tempSrc = app()->getRootPath() . "runtime/html/" . $cid . '.html';
            include $tempSrc;
            exit();
        }

    }

}