$.fn.desceditor = function (setting) {
    var summaryTool = '<div class="edit-text text-shortDesc"><p class="text-tip">摘要只能输入<b>140</b>字</p><div class="text-textarea"><textarea maxlength="140"></textarea></div><div class="button"><input class="text-submit" type="button" value="确认"><input class="text-cancel" type="button" value="取消"></div><a class="text-close" href="#">关闭</a></div>';
    var summaryModule = '<div class="module m-shortDesc"><ul class="tools"><li></li><li></li><li><a class="edit" href="#">编辑</a></li><li><a class="delete" href="#">删除</a></li></ul><div class="cover"></div><div class="content"><div class="text-div"><svg class="bi bi-alert-triangle mb-1 J_icon" width="18" height="18" fill="currentColor"><use xlink:href="/static/bootstrap-icons.svg#card-list" /></svg><div class="text-html J_Html">{value}</div></div></div></div>';
    var summaryEdit = '<div class="edit-text text-shortDesc"><p class="text-tip">摘要只能输入<b>140</b>字</p><div class="text-textarea"><textarea maxlength="140">{value}</textarea></div><div class="button"><input class="text-submit" type="button" value="确认"><input class="text-cancel" type="button" value="取消"></div><a class="text-close" href="#">关闭</a></div>';
    var textTool = '<div class="edit-text text-content"><p class="text-tip">单个文本框字数不得超过<b>500</b></p><div class="text-textarea"><textarea maxlength="500"></textarea></div><div class="button"><input class="text-submit" type="button" value="确认"><input class="text-cancel" type="button" value="取消"></div><a class="text-close" href="#">关闭</a></div>';
    var textModule = '<div class="module m-text"><ul class="tools"><li><a class="up" href="#">上移</a></li><li><a class="down" href="#">下移</a></li><li><a class="edit" href="#">编辑</a></li><li><a class="delete" href="#">删除</a></li></ul><div class="cover"></div><div class="content"><div class="text-div"><i class="shortDesc-icon J_icon"></i><div class="text-html J_Html">{value}</div></div></div></div>';
    var textEdit = '<div class="edit-text text-content"><p class="text-tip">单个文本框字数不得超过<b>500</b></p><div class="text-textarea"><textarea maxlength="500"></textarea></div><div class="button"><input class="text-submit" type="button" value="确认"><input class="text-cancel" type="button" value="取消"></div><a class="text-close" href="#">关闭</a></div>';
    var imageModule = '<div class="module m-image"><ul class="tools"><li><a class="up" href="javascript:void(0)">上移</a></li><li><a class="down" href="javascript:void(0)">下移</a></li><li><a class="edit" href="javascript:void(0)">替换</a></li><li><a class="delete" href="javascript:void(0)">删除</a></li></ul><div class="cover"></div><div class="content"><div class="image-div"><img src="{img}"></div></div></div>';
    var shipingModule = '<div class="module m-shiping"><ul class="tools"><li><a class="up" href="javascript:void(0)">上移</a></li><li><a class="down" href="javascript:void(0)">下移</a></li><li><a class="edit" href="javascript:void(0)">替换</a></li><li><a class="delete" href="javascript:void(0)">删除</a></li></ul><div class="cover"></div><div class="content"><div class="image-div"><video width="375"  controls="controls" autoplay="autoplay" src="{img}"></video></div></div></div>';
    var me = $(this);
    var panel = me.find(".control-panel");
    if (setting == undefined || setting == null) {
        setting = { action: "init" };
    }
    if (setting.action == "init") {
        //me.find(".J_AddBtn").hover(function () { $(this).find(".jia").hide(); $(this).find(".btn-wrap").show(); }, function () { $(this).find(".jia").show(); $(this).find(".btn-wrap").hide(); });
        //选中模块
        panel.delegate(".module", "click", function () {
            if ($(this).hasClass("current")) {
                $(this).removeClass("current");
            }
            else {
                var modules = me.find(".control-panel .module").removeClass("current");
                $(this).addClass("current");
            }
        });
        //摘要编辑
        panel.delegate(".m-shortDesc .edit", "click", function (e) {
            _clearEdit();
            var module = $(this).parents(".module").addClass("editing");
            module.find(".content").append(summaryEdit.replace("{value}", module.find(".J_Html").html().replace(/<br>/g, "\n")));
            e.stopPropagation();
        });
        //文本编辑
        panel.delegate(".m-text .edit", "click", function (e) {
            _clearEdit();
            var module = $(this).parents(".module").addClass("editing");
            var content = module.find(".content").append(textEdit);
            content.find(".edit-text textarea").html(module.find(".J_Html").html().replace(/<br>/g, "\n"));
            e.stopPropagation();
        });


        // 图片替换
        panel.delegate(".m-image .edit", "click", function (e) {
                $(this).parents(".module").find(".image-div img").attr("id", "curr_change_img");
                layer.open({
                    type: 2,
                    title: '图片资源',
                    shadeClose: true,
                    shade: 0,
                    offset: [0, 0],
                    maxmin: true, //开启最大化最小化按钮
                    area: ['800px', '600px'],
                    content: "/Image/imagelist?callback=editItemImgDesc&type=checkbox",

                });
                $('#dialogImages').modal('show');
                e.stopPropagation();
        });
        //视频替换
        panel.delegate(".m-shiping .edit", "click", function (e) {

            $(this).parents(".module").find(".image-div video").attr("id", "curr_change_img");
            layer.open({
                type: 2,
                title: '图片资源',
                shadeClose: true,
                shade: 0,
                offset: [0, 0],
                maxmin: true, //开启最大化最小化按钮
                area: ['800px', '600px'],
                content: "/Image/imagelist?callback=editaddShiPing&type=checkbox",

            });
            $('#dialogImages').modal('show');
            e.stopPropagation();
        });
        // 模块编辑确认
        panel.delegate(".module .text-submit", "click", function () {
            var text = $(this).parents(".edit-text").find(".text-textarea textarea").val();
            var module = $(this).parents(".module").removeClass("editing");
            module.find(".J_Html").html(text.replace(/\n/g, "<br>"));
            module.find(".edit-text").remove();
        });
        // 模块编辑取消
        panel.delegate(".module .text-cancel", "click", function () {
            $(this).parents(".module").removeClass("editing");
            $(this).parents(".edit-text").remove();
        });
        // 模块上移
        panel.delegate(".module .up", "click", function (e) {
            var curr = $(this).parents(".module");
            var prev = curr.prev();
            if (prev.hasClass("m-image") || prev.hasClass("m-text")) {
                prev.before(curr);
                _resetTool();
            }
            e.stopPropagation();
        });
        // 模块下移
        panel.delegate(".module .down", "click", function (e) {
            var curr = $(this).parents(".module");
            curr.next().after(curr);
            _resetTool();
            e.stopPropagation();
        });
        // 模块删除
        panel.delegate(".module .delete", "click", function () {
            var module = $(this).parents(".module");
            if (module.hasClass("m-shortDesc")) {
                me.find(".J_AddBtn .btn-wrap .shortDesc").removeClass("hasShortDesc");
            }
            module.remove();
        });
        // 摘要新增确认
        me.find(".J_EditSummaryArea").delegate(".text-submit", "click", function () {
            var tool = me.find(".J_EditSummaryArea");
            tool.parent().find(".m-shortDesc").remove();
            tool.after(summaryModule.replace("{value}", tool.find("textarea").val().replace(/\n/g, "<br>")));
            $(this).parents(".text-shortDesc").remove();
            me.find(".J_AddBtn .btn-wrap .shortDesc").addClass("hasShortDesc");
        });
        // 摘要新增取消
        me.find(".J_EditSummaryArea").delegate(".text-cancel", "click", function () {
            $(this).parents(".text-shortDesc").remove();
        });
        // 文本新增确认
        me.find(".J_EditArea").delegate(".text-submit", "click", function () {
            var tool = me.find(".J_EditArea");
            me.find(".control-panel").append(textModule.replace("{value}", tool.find("textarea").val().replace(/\n/g, "<br>")));
            $(this).parents(".text-content").remove();
            me.find(".control-panel .module").removeClass("end");
            me.find(".control-panel .module:last").addClass("end");
        });
        // 文本新增取消
        me.find(".J_EditArea").delegate(".text-cancel", "click", function () {
            $(this).parents(".text-content").remove();
        });
        // 新增摘要
        me.find(".btn-wrap .shortDesc").on("click", function () {
            _clearEdit();
            me.find(".J_EditSummaryArea").empty().append(summaryTool);
            me.find(".content-edit").scrollTop(0);
        });
        // 新增文本
        me.find(".btn-wrap .text").on("click", function () {
            _clearEdit();
            me.find(".J_EditArea").empty().append(textTool);
            me.find(".content-edit").scrollTop(99999);
        });
        // 新增图片
        me.find(".btn-wrap .image").on("click", function () {

            layer.open({
                type: 2,
                title: '图片资源',
                shadeClose: true,
                shade: 0,
                offset: [0, 0],
                maxmin: true, //开启最大化最小化按钮
                area: ['800px', '600px'],
                content: "/Image/imagelist?callback=addItemImgDesc&type=checkbox",

            });
        });
        // 新增图片
        me.find(".btn-wrap .shiping").on("click", function () {

            layer.open({
                type: 2,
                title: '图片资源',
                shadeClose: true,
                shade: 0,
                offset: [0, 0],
                maxmin: true, //开启最大化最小化按钮
                area: ['800px', '600px'],
                content: "/Image/imagelist?callback=addShiPing&type=checkbox",

            });
        });
    }
    if (setting.action == "addimage") {

        $(setting.data).each(function (i) {
            panel.append(imageModule.replace("{img}", setting.data[i].url));
        });

    }
    if (setting.action == "changeimage") {
        $(setting.data).each(function (i) {
            $("#curr_change_img").attr("src", setting.data[i].url).removeAttr("id");

        });

       // $("#curr_change_img").attr("src", setting.data).removeAttr("id");
    }
    //视频替换
    if (setting.action == "editsp") {
        console.log(setting.data)
        $(setting.data).each(function (i) {
            $("#curr_change_img").attr("src", setting.data[i].url).removeAttr("id");

        });
        // $("#curr_change_img").attr("src", setting.data).removeAttr("id");
    }

    if (setting.action == "spimgimage") {
        $(setting.data).each(function (i) {
            panel.append(shipingModule.replace("{img}", setting.data[i].url));
        });
    }

    if (setting.action == "getitem") {
        var items = '';
        panel.find(".module").each(function () {
            if ($(this).hasClass("m-shortDesc")) {
                items += "1::" + $(this).find(".J_Html").html() + '[desceditorsplit]';
            }
            if ($(this).hasClass("m-image")) {
                items += "2::" + $(this).find(".image-div img").attr("src") + '[desceditorsplit]';
            }
            if ($(this).hasClass("m-text")) {
                items += "3::" + $(this).find(".J_Html").html() + '[desceditorsplit]';
            }
            if ($(this).hasClass("m-shiping")) {
                items += "4::" + $(this).find(".image-div video").attr("src") + '[desceditorsplit]';
            }
        });
        if (items.length > 0) {
            items = items.substr(0, items.length - 17);
        }
        return items;
    }
    function _clearEdit() {
        me.find(".module").removeClass("editing").removeClass("current");
        me.find(".J_EditSummaryArea .text-shortDesc").remove();
        me.find(".J_EditArea .text-content").remove();
    }
    function _resetTool() {
        me.find(".control-panel .module").removeClass("end");
        me.find(".control-panel .module:last").addClass("end");
    }
    function closeImageZone(str) {
        _clearEdit();
        var module = $(this).parents(".module").addClass("editing");
        var content = module.find(".content").append(textEdit);
        content.find(".edit-text textarea").html(module.find(".J_Html").html().replace(/<br>/g, "\n"));
        e.stopPropagation();
    }
}