
var cols_arr=[[
    {field: 'id', width: 60, title: 'ID', sort: true,align: 'center'}
    , {field: 'uname', title: '用户名',minWidth: 160}
    , {field: 'title',  title: '权限组',width: 120,align: 'center'}
    , {field: 'create_time', title: '注册时间',align: 'center',width: 120}
    , {field: 'last_time', title: '最后登录时间',align: 'center',width: 120}
    , {field: 'phonenumber', title: '电话号',align: 'center',width: 100}
    , {field: 'email',  title: '邮箱',width: 120,align: 'center'}
    , {field: 'status', title: '状态',width: 80,align: 'center',toolbar:'#status' }
    , {field: 'cz', width: 120, title: '操作', toolbar: '#barDemo', align: 'center', fixed: 'right'}
]];
var response={
    statusName: 'status' //规定数据状态的字段名称，默认：code
    , statusCode: 200 //规定成功的状态码，默认：0
    , msgName: 'hint' //规定状态信息的字段名称，默认：msg
    , countName: 'total' //规定数据总数的字段名称，默认：count
    , dataName: 'rows' //规定数据列表的字段名称，默认：data
};


layui.use(['layer', 'form', 'table','laydate','util','dropdown'], function () {
    var dropdown = layui.dropdown;
    var layer = layui.layer;
    var util = layui.util;
    var form = layui.form;
    var table = layui.table;
    var laydate = layui.laydate;
    //监听表格复选框选择

    table.render({
        elem: '#demo'
        , page: true //开启分页
        , limit: 10
        , limits: [10, 15, 20, 25, 30, 35, 40, 45, 50, 100]
        , url: '/admin/setsort'

        , cols: cols_arr
        , response: response
        ,done: function(){
            //初演示


        }
    })

});

/*添加*/
function admin_add(title,url,w,h){
    x_admin_show(title,url,w,h);
}
// 编辑
function banner_edit (title,url,id,w,h) {
    x_admin_show(title,url,w,h);
}
function member_del(obj, id) {

    layer.confirm('确认要删除吗？', function (index) {
        //发异步删除数据
        $.post("/admin/del", {id: id}, function (res) {
            if (res.code == 1) {
                layer.msg(res.msg, {time: 1000}, function () {
                    setTimeout('window.location.reload()',1000);
                })
            }else {
                layer.msg(res.msg)
            }
        }, 'json').error(function (err) {
            layer.msg(err['responseJSON']['message'],function () {
                location.reload();
            });
        });
    });
}
