
layui.use(['layer', 'form', 'table', 'laydate', 'util', 'dropdown'], function () {
    var dropdown = layui.dropdown;
    var layer = layui.layer;
    var util = layui.util;
    var form = layui.form;
    var table = layui.table;
    var laydate = layui.laydate;

    //验证
    form.verify({
        groupid: function(value){
            if(value==0){
                return '所属用户组不能为空';
            }
        },
        uname: function(value){
            if(value.length < 6){
                return '管理员名称不能少于6个字符';
            }
        },
        password: function(value){
            if(value.length < 6){
                return '管理员密码不能少于6个字符';
            }
        }
        ,content: function(value){
            layedit.sync(editIndex);
        }
    });
    //监听表格复选框选择
    form.on('submit(adedit)',
        function (data) {

            $.post("/Admin/ad_edit", data.field, function (res) {
                var alert_index;
                //发异步，把数据提交给php
                alert_index = layer.alert(res.msg, {
                        icon: 6
                    },
                    function () {
                        if (res.code == 1) {
                            // 获得frame索引
                            var index = parent.layer.getFrameIndex(window.name);
                            //关闭当前frame
                            parent.layer.close(index);
                        }
                        layer.close(alert_index)
                    });
            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });

            return false;
        });


    //修改用户信息
    form.on('submit(adminsave)',
        function (data) {

            $.post("/Admin/edit", data.field, function (res) {
                var alert_index;
                //发异步，把数据提交给php
                alert_index = layer.alert(res.msg, {
                        icon: 6
                    },
                    function () {
                        if (res.code == 1) {
                            // 获得frame索引
                            var index = parent.layer.getFrameIndex(window.name);
                            //关闭当前frame
                            parent.layer.close(index);
                        }
                        layer.close(alert_index)
                    });
            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });

            return false;
        });
    //添加新用户
    form.on('submit(adminadd)',
        function (data) {

            $.post("/Admin/add", data.field, function (res) {
                var alert_index;
                //发异步，把数据提交给php
                alert_index = layer.alert(res.msg, {
                        icon: 6
                    },
                    function () {
                        if (res.code == 1) {
                            // 获得frame索引
                            var index = parent.layer.getFrameIndex(window.name);
                            //关闭当前frame
                            parent.layer.close(index);
                        }
                        layer.close(alert_index)
                    });
            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });

            return false;
        });
    //修改邮箱
    form.on('submit(email)',
        function (data) {

            $.post("/Admin/email", data.field, function (res) {
                var alert_index;
                //发异步，把数据提交给php
                alert_index = layer.alert(res.msg, {
                        icon: 6
                    },
                    function () {
                        if (res.code == 1) {
                            // 获得frame索引
                            var index = parent.layer.getFrameIndex(window.name);
                            //关闭当前frame
                            parent.layer.close(index);
                        }
                        layer.close(alert_index)
                    });
            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });

            return false;
        });

    //修改电话
    form.on('submit(phone)',
        function (data) {

            $.post("/Admin/phone", data.field, function (res) {
                var alert_index;
                //发异步，把数据提交给php
                alert_index = layer.alert(res.msg, {
                        icon: 6
                    },
                    function () {
                        if (res.code == 1) {
                            // 获得frame索引
                            var index = parent.layer.getFrameIndex(window.name);
                            //关闭当前frame
                            parent.layer.close(index);
                        }
                        layer.close(alert_index)
                    });
            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });

            return false;
        });
});

/*添加*/
function admin_add(title,url,w,h){
    x_admin_show(title,url,w,h);
}
// 编辑
function banner_edit (title,url,id,w,h) {
    x_admin_show(title,url,w,h);
}

function status(id,status) {
    var data={id:id,status:status}
    $.ajaxDirect("/admin/status",'post', data, function(res){
        if (res.code==1) {
            layer.msg(res.msg, function () {
                window.location.reload()
            }, 500);
        }else{
            layer.msg(res.msg);
        }
    });

}
function vip(id) {
    var data={id:id}
    $.ajaxDirect("/admin/status_vip",'post', data, function(res){
        if (res.code==1) {
            layer.msg(res.msg, function () {
                window.location.reload()
            }, 500);
        }else{
            layer.msg(res.msg);
        }
    });

}