layui.use(['form', 'element', 'upload', 'layedit'], function () {
    var form = layui.form;
    var element = layui.element;
    var upload = layui.upload;
    var layedit = layui.layedit;
//验证
    form.verify({
        cate_name: function(value){
            if(value.length<2){
                return '栏目名称不能为空';
            }
        },
        list_tmp: function(value){
            if(value.length < 5){
                return '列表页模板不能为空';
            }
        },
        index_tmp: function(value){
            if(value.length < 5){
                return '频道页模板不能为空';
            }
        },
        article_tmp: function(value){
            if(value.length < 5){
                return '内容页模板不能为空';
            }
        }
        ,content: function(value){
            layedit.sync(editIndex);
        }
    });
    //监听提交
    form.on('submit(saveadd)',
        function (data) {

            $.post("/Arccate/add", data.field, function (res) {
                var alert_index;
                //发异步，把数据提交给php
                alert_index = layer.alert(res.msg, {
                        icon: 6
                    },
                    function () {
                        if (res.code == 1) {
                            // 获得frame索引
                            var index = parent.layer.getFrameIndex(window.name);
                            //关闭当前frame
                            parent.layer.close(index);
                        }
                        layer.close(alert_index)
                    });
            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });

            return false;
        });
    form.on('submit(saveedit)',
        function(data) {

            $.post("/Arccate/edit",data.field,function (res) {
                var alert_index;
                //发异步，把数据提交给php
                alert_index=layer.alert(res.msg, {
                        icon: 6
                    },
                    function() {
                        if (res.code==1){
                            // 获得frame索引
                            var index = parent.layer.getFrameIndex(window.name);
                            //关闭当前frame
                            parent.layer.close(index);
                        }
                        layer.close(alert_index)
                    });
            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });

            return false;
        });

});
