layui.use(['layer', 'form', 'table', 'laydate', 'util', 'dropdown'], function () {
    var dropdown = layui.dropdown;
    var layer = layui.layer;
    var util = layui.util;
    var form = layui.form;
    var table = layui.table;
    var laydate = layui.laydate;

    form.verify({
        title: function(value){
            if(value.length ==''){
                return '规则名不能为空!';
            }
            if(value.length < 4){
                return '规则名不能少于4个字符';
            }
        }
        ,name: function(value){
            if(value.length ==''){
                return '规则不能为空!';
            }
            if(value.length < 3){
                return '规则不能少于3个字符';
            }
        }

        ,content: function(value){
            layedit.sync(editIndex);
        }
    });
    //监听提交
    form.on('submit(saveadd)',
        function (data) {

            $.post("/AuthRule/add", data.field, function (res) {

                var alert_index;
                //发异步，把数据提交给php
                alert_index = layer.msg(res.msg, {
                        icon: 6
                    },
                    function () {
                        if (res.code == 1) {
                            // 获得frame索引
                            var index = parent.layer.getFrameIndex(window.name);
                            //关闭当前frame
                            parent.layer.close(index);

                        }
                        layer.close(alert_index)

                    });
            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });

            return false;
        });

    //监听提交
    form.on('submit(saveedit)',
        function (data) {

            $.post("/AuthRule/edit", data.field, function (res) {

                var alert_index;
                //发异步，把数据提交给php
                alert_index = layer.msg(res.msg, {
                        icon: 6
                    },
                    function () {
                        if (res.code == 1) {
                            // 获得frame索引
                            var index = parent.layer.getFrameIndex(window.name);
                            //关闭当前frame
                            parent.layer.close(index);
                        }
                        layer.close(alert_index)
                    });
            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });

            return false;
        });

});




$(".x-sort").blur(function () {
    var cid = $(this).attr("data");
    var sort=$(this).val();
    var olddata=$(this).attr("olddata");
    if (sort==olddata){
        return;
    }

    var data={id:cid,sort:sort};
    $.ajaxDirect("/AuthRule/setsort",'post', data, function(res){
        if (res.code==1) {
            layer.msg(res.msg,function () {
                location.reload();
            });
        }else{
            alert(res.msg);
        }
    });

})
//模型修改
$(".x-name").blur(function () {
    var cid = $(this).attr("data");
    var sort=$(this).val();
    var olddata=$(this).attr("olddata");
    if (sort==olddata){
        return;
    }

    var data={id:cid,sort:sort};
    $.ajaxDirect("/AuthRule/name",'post', data, function(res){
        if (res.code==1) {
            layer.msg(res.msg,function () {
                location.reload();
            });
        }else{
            alert(res.msg);
        }
    });

})
//图标
//排序
$(".x-icon").blur(function () {
    var cid = $(this).attr("data");
    var sort=$(this).val();
    var olddata=$(this).attr("olddata");
    if (sort==olddata){
        return;
    }
    var data={id:cid,sort:sort};
    $.ajaxDirect("/AuthRule/icon",'post', data, function(res){
        if (res.code==1) {
            layer.msg(res.msg,function () {
                location.reload();
            });
        }else{
            alert(res.msg);
        }
    });

})
/*添加*/
function admin_add(title, url, w, h) {
    x_admin_show(title, url, w, h);
}

// 编辑
function banner_edit(title, url, id, w, h) {
    x_admin_show(title, url, w, h);
}

function member_del(obj, id) {

    layer.confirm('确认要删除吗？', function (index) {
        //发异步删除数据
        $.post("/AuthRule/del", {id: id}, function (res) {
            if (res.code == 1) {
                layer.msg(res.msg, {time: 1000}, function () {
                    setTimeout('window.location.reload()',1000);
                })
            }else {
                layer.msg(res.msg)
            }
        }, 'json').error(function (err) {
            layer.msg(err['responseJSON']['message'],function () {
                location.reload();
            });
        });
    });
}
