var uid=$(" input[ name='uid' ] ").val();
if (uid!==''){
    $('#uploadimg').css("display","block")
}
layui.use(['tree', 'util','upload'], function () {
    var tree = layui.tree;
    var layer = layui.layer;
    var util = layui.util;
    var upload=layui.upload;
    //模拟数据1
    //模拟数据1
    var data1 = JSON.parse(getData());


    tree.render({
        elem: '#test9'
        ,spread: true
        ,isJump: false //是否允许点击节点时弹出新窗口跳转
        , data: data1
        , edit: ['add', 'update'] //操作节点的图标 , 'del'
        , click: function (obj) {

            if (obj.data.children){
                $('#uploadimg').css("display","none")
            }else {
                $('#uploadimg').css("display","block")
                window.location.href="/Image/index?uid="+obj.data.id


            }

        }
        , operate: function (obj) {
            var type = obj.type; //得到操作类型：add、edit、del
            var data = obj.data; //得到当前节点的数据
            var elem = obj.elem; //得到当前节点元素
            if (type == "add") {
                add(data)
            }
            if (type == "update") {
                update(data)
            }

            if (type == "del") {
                del(data)
            }
        }
    });
    //创建一个上传组件
    upload.render({
        elem: '#uploadimg'
        ,url: "/Upload/uploadimg"+'?thumb=1'
        ,accept: 'file' //允许上传的文件类型
        ,field:'imgfile'//设定文件域的字段名
        ,size: 50480 //最大允许上传的文件大小
        ,multiple: true
        ,number: 9
        ,data: {
            uid:function(){
                return uid
            }

        }
        ,done: function(res, index, upload){ //上传后的回调

            layer.close(layer.index,{isOutAnim:true});
            setTimeout(function () {

                if (res.code==1){

                    var pic=$('input[name=img]').val();
                    if (pic==""){
                        $('input[name=img]').val(res.msg);
                    }else {
                        $('input[name=img]').val(pic+","+res.msg);
                    }

                    setTimeout('window.location.reload()',1000);
                    layer.msg('上传成功');
                }else{
                    layer.msg('上传错误');
                }
            },500);

        }
        ,before:function(){
            var index = layer.load(); //换了种风格
        }

    })

});


function del(data) {
    $.post("/Image/del", data, function (res) {
        if (res.code == 0) {
            layer.msg(res.msg);

        }
    });

    return false;
}

function add(data) {

    $.post("/Image/add", data, function (res) {

    });

    return false;
}

function update(data) {
    $.post("/Image/edit", data, function (res) {

    });

    return false;
}

function getData() {
    var data = [];
    $.ajax({
        url: "/Image/data",    //后台数据请求地址
        type: "post",
        async: false,
        success: function (resut) {
            console.log(resut)
            data = resut;
        }
    });
    return data;
}
function delimg(obj) {
    var picurl=$(obj).attr('data');
    var id=$(obj).attr('data-id');
    var count=$(obj).attr('data-count');
    if(count>0){
        layer.confirm("图片调用"+count+"次，你确定要删除吗", {
            btn: ['确定','关闭'] //按钮
        }, function(){

            $.ajax({
                type:"post",
                url:"/Upload/delimg",
                data:{'url':picurl,id:id},
                success:function (res) {

                    if (res.code==1 ||res.code==2){

                        //setTimeout('window.location.reload()',1000);
                        // 移除缩略图
                        $(obj).parent().remove();
                        layer.msg(res.msg);

                    }
                    if (res.code==0){
                        layer.msg(res.msg);
                    }
                }
            });
        });
        return;
    }

    $.ajax({
        type:"post",
        url:"/Upload/delimg",
        data:{'url':picurl,id:id},
        success:function (res) {

            if (res.code==1 ||res.code==2){
                // 移除缩略图
                $(obj).parent().remove();
                layer.msg(res.msg);
               location.reload();
            }
            if (res.code==0){
                layer.msg(res.msg);
            }
        }
    });


}

$(".imglist .img").click(function () {
    var url= $(this).attr("data-src");
    var count= $(this).attr("data-count");
    var size= $(this).attr("data-size");
    var id= $(this).attr("data-id");
    layer.open({
        type: 1,
        title:'图片详情',
        skin: 'layui-layer-rim', //加上边框
        area: ['600px', '500px'], //宽高
        content: '<div class="img" style="margin: 0px auto;overflow: hidden;height: 220px;text-align: center"><img src="'+url+'" style="height: 100%;max-width: 100%"></div><div class="size"><div style="margin: 10px 20px;line-height:24px"><b>URL:</b><span>'+url+'</span></div> <div style="margin: 10px 20px;line-height:24px"><b>大小:</b><span>'+size+'</span></div><div style="margin: 10px 20px;line-height:24px"><b>调用次数:</b><span>'+count+'次</span></div><div class="layui-form-item"><div class="layui-form-label"></div><div class="layui-input-block"><a class="layui-btn layui-btn-xs" type="button" onclick="ImgCopy(this)" data="'+url+'"><i class="layui-icon">&#xe630;</i>复制URL</a><a class="layui-btn layui-btn-mini layui-btn-xs layui-btn-danger" type="button" onclick="delimg(this)"  data="'+url+'" data-count="'+count+'" data-id="'+id+'"><i class="layui-icon">&#xe640;</i>删除</a></div></div></div>'
    });
})
function ImgCopy(o) {
    var data=$(o).attr('data');
    var flag = copyText(data); //传递文本
    layer.msg(flag ? "复制成功！" : "复制失败！")
    return false;
}
function copyText(text) {
    var textarea = document.createElement("input");//创建input对象
    var currentFocus = document.activeElement;//当前获得焦点的元素
    document.body.appendChild(textarea);//添加元素
    textarea.value = text;
    textarea.focus();
    if(textarea.setSelectionRange)
        textarea.setSelectionRange(0, textarea.value.length);//获取光标起始位置到结束位置
    else
        textarea.select();
    try {
        var flag = document.execCommand("copy");//执行复制
    } catch(eo) {
        var flag = false;
    }
    document.body.removeChild(textarea);//删除元素
    currentFocus.focus();
    return flag;
}
