layui.use(['form','element','upload','colorpicker','laydate'], function() {
    var $ = layui.jquery
    var form = layui.form;
    var element = layui.element;
    var upload = layui.upload;
    var laydate = layui.laydate;
    var $ = layui.$
        , colorpicker = layui.colorpicker;

    form.on('submit(save)',
        function (data) {

            $.post("/Model/tableadd", data.field, function (res) {
                if (res.code == 1) {
                    layer.msg(res.msg, function () {
                        window.location.reload()
                    }, 500);
                } else {
                    layer.msg(res.msg,{icon:6});

                }
            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });
            return false;
        });
    form.on('submit(tableedit)',
        function (data) {

            $.post("/Model/tableedit", data.field, function (res) {
                if (res.code == 1) {
                    layer.msg(res.msg, function () {
                        window.location.reload()
                    }, 500);
                } else {
                    layer.msg(res.msg,{icon:6});

                }
            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });
            return false;
        });



})
$(document).on('click', '.field', function(data) {
    var id=$(this).data('id');
    $("#field").val(id);
    console.log(id)
    layer.open({
        type: 2,
        title: '图片资源',
        shadeClose: true,
        shade: 0,
        offset: [0, 0],
        maxmin: true, //开启最大化最小化按钮
        area: ['800px', '600px'],
        content: "/Image/imagelist?callback=fieldimg&type=radio",

    });
});
function fieldimg(e) {

    var id= $("#field").val();
    $("."+id).empty();
    $("#"+id).val(e[0]['url']);
    var str;
    str="<span>";
    str=str+'<img src="'+e[0]['url']+'" alt="" height="80">';
    str=str+'<button type="button" class="layui-btn layui-btn-danger layui-btn-mini delimg" onclick="delimg(this);" data-name="'+id+'" data="'+e[0]['url']+'">';
    str=str+'<i class="layui-icon">&#xe640;</i>';
    str=str+'</button>';
    str=str+'</span>';
    $("."+id).append(str);
}
function delimg(obj) {
    var name=$(obj).data('name');
    var picurl = $(obj).attr('data');
    var picvalue = $('input[name='+name+']').val();
    //栏目图片文本框中地址
    if (picvalue == picurl) {
        $('input[name='+name+']').val('');
    } else {
        str = picvalue.replace(picurl + ",", "");
        str = str.replace("," + picurl, "");
        $('input[name='+name+']').val(str);
    }
    // 移除缩略图
    $(obj).parent().remove();

}


/*添加*/
function admin_add(title,url,w,h){
    x_admin_show(title,url,w,h);
}
// 编辑
function banner_edit (title,url,id,w,h) {
    x_admin_show(title,url,w,h);
}
/*用户-删除*/
function member_del(o){
    var id= $(o).attr('data');
    var table_name=$(o).attr("table_name");
    layer.confirm('确定要删除吗？', {
        btn: ['确定', '取消'] //按钮
    }, function () {
        $.ajax({
            type: "post",
            url: "/Model/tabledel",
            data:{id:id,table_name:table_name},
            dataType: "json",
            success: function (res) {
                if (res.code == 1) {
                    layer.msg(res.msg, {time: 1000}, function () {
                        $(o).parents("tr").remove();
                    });
                } else {
                    layer.msg(res.msg, {time: 1000});
                }
            }
        })
    });
}
