

var cols_arr=[[
    // {field: 'xz', title: '选择', name: 'itm[]',  toolbar: '#itm', width: 60},
    {field: 'id', width: 60, title: 'ID', sort: true,align: 'center'}
    , {field: 'item_name', title: '文章标题',toolbar: '#item_name'}
    // , {field: 'img', title: '封面图',toolbar: '#img',width: 80,align: 'center'}
    , {field: 'price', title: '单价',width: 80,align: 'center', toolbar: '#price'}
    , {field: 'total_num',  title: '库存',width: 80,align: 'center'}
    , {field: 'sales',  title: '销量',width: 80,align: 'center'}
    , {field: 'time',  title: '发布时间',width: 120,align: 'center'}
    , {field: 'sort', title: '推荐',width: 120,edit: 'text', align: 'center'} //minWidth：局部定义当前单元格的最小宽度，layui 2.2.1 新增
    , {field: 'status',  title: '状态',width: 80,toolbar: '#status' }
    , {field: 'cz', width: 160, title: '操作', toolbar: '#barDemo', align: 'center', fixed: 'right'}
]];
var response={
    statusName: 'status' //规定数据状态的字段名称，默认：code
    , statusCode: 200 //规定成功的状态码，默认：0
    , msgName: 'hint' //规定状态信息的字段名称，默认：msg
    , countName: 'total' //规定数据总数的字段名称，默认：count
    , dataName: 'rows' //规定数据列表的字段名称，默认：data
};
layui.use(['layer', 'form', 'table','laydate','util','dropdown'], function () {
    var dropdown = layui.dropdown;
    var layer = layui.layer;
    var util = layui.util;
    var form = layui.form;
    var table = layui.table;
    var laydate = layui.laydate;

    //监听单元格编辑
    laydate.render({
        elem: '#test6'
        ,range: true

    });

    // 排序
    table.on('edit(demo)', function(obj){
        var value = obj.value //得到修改后的值
            ,data = obj.data //得到所在行所有键值
            ,field = obj.field; //得到字段


        var data={id:data.id,sort:util.escape(value)}
        $.ajaxDirect("/Product/setsort",'post', data, function(res){
            if (res.code==1) {
                layer.msg(res.msg);
            }else{
                layer.msg(res.msg);
            }
        });

    });

    //触发事件
    table.render({
        elem: '#demo'
        , page: true //开启分页
        , limit: 10
        , limits: [10, 15, 20, 25, 30, 35, 40, 45, 50, 100]
        , url: '/Product/lstselect'
        , cols: cols_arr
        , response: response
    });
    //搜索
    form.on('submit(demo1)',
        function (data) {
            var data=data.field;

            var uid = $("[name='uid']").val();
            var cate_id = data.select;
            var title = $("[name='title']").val();
            if (cate_id=='' && title==''){
                layer.msg('检索内容不能为空');
                return;
            }
            var time = $("[name='time']").val();
            var status = $("[name='status']").val();
            var attr = $("[name='attr']").val();
            table.render({
                elem: '#demo'
                , height: 600
                , page: true //开启分页
                , limit: 15
                ,toolbar: '#toolbarDemo' //开启头部工具栏，并为其绑定左侧模板
                ,defaultToolbar: ['filter', 'exports', 'print',]
                , limits: [10, 15, 20, 25, 30, 35, 40, 45, 50, 100]
                , url: '/Product/lstselect/?cate_id='+cate_id+'&title='+title
                // ,url:'/Archives/lstselect/?data='+data
                , cols: cols_arr
                , response:response
            });
            return;
        });
    //行工具事件
    table.on('tool(demo)', function(obj){
        var that = this
            ,data = obj.data;
        var id=obj.data.id;
        if(obj.event === 'more'){
            //更多下拉菜单
            dropdown.render({
                elem: that
                ,show: true //外部事件触发即显示
                ,data: [{
                    title: '上架'
                    ,id: 'shang'
                }, {
                    title: '下架'
                    ,id: 'xia'
                }, {
                    title: '删除'
                    ,id: 'del'
                }]
                ,click: function(data, othis){
                    //根据 id 做出不同操作
                    if(data.id === 'del'){
                        layer.confirm('真的删除行么', function(index){
                            var data={id:id}
                            $.ajaxDirect("{:url('/Product/del')}",'post', data, function(res){
                                if (res.code==1) {
                                    layer.msg(res.msg,function () {
                                        obj.del();
                                        layer.close(index);
                                    });
                                }else{
                                    layer.msg(res.msg);
                                }
                            });



                        });
                    } else if (data.id === 'xia') {
                        var data={id:id}
                        $.ajaxDirect("/Product/getxia",'post', data, function(res){
                            if (res.code==1) {
                                setTimeout('window.location.reload()',1000);
                            }else{
                                layer.msg(res.msg);
                            }
                        });


                    }else {
                        var data={id:id}
                        $.ajaxDirect("/Product/getshang",'post', data, function(res){
                            if (res.code==1) {
                                setTimeout('window.location.reload()',1000);
                            }else{
                                layer.msg(res.msg);
                            }
                        });


                    }
                }
                ,align: 'right' //右对齐弹出（v2.6.8 新增）
                ,style: 'box-shadow: 1px 1px 10px rgb(0 0 0 / 12%);' //设置额外样式
            });
        }
    });


    form.on('submit(isattribute)',
        function (data) {

            $.post("/Product/isattribute", data.field, function (res) {
                var alert_index;
                //发异步，把数据提交给php
                alert_index = layer.alert(res.msg, {
                        icon: 6
                    },
                    function () {
                        if (res.code == 1) {
                            // 获得frame索引
                            var index = parent.layer.getFrameIndex(window.name);
                            //关闭当前frame
                            parent.layer.close(index);
                        }
                        layer.close(alert_index)
                    });
            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });

            return false;
        });
    form.on('submit(productsize)',
        function (data) {

            $.post("{:url('/Product/productsize')}", data.field, function (res) {
                var alert_index;
                //发异步，把数据提交给php
                alert_index = layer.alert(res.msg, {
                        icon: 6
                    },
                    function () {
                        if (res.code == 1) {
                            // 获得frame索引
                            var index = parent.layer.getFrameIndex(window.name);
                            //关闭当前frame
                            parent.layer.close(index);
                        }
                        layer.close(alert_index)
                    });
            }).error(function (err) {
                layer.msg(err['responseJSON']['message'],function () {
                    location.reload();
                });
            });

            return false;
        });

});
/*添加*/
function admin_add(title,url,w,h){
    x_admin_show(title,url,w,h);
}
// 编辑
function banner_edit (title,url,id,w,h) {
    x_admin_show(title,url,w,h);
}


$.ajaxDirect("/Product/cate",'post', '', function(data){
    console.log(data)
    var xmSelect = layui.xmSelect;
    //渲染多选
    var demo1 = xmSelect.render({
        autoRow: true,
        tree: {
            show: true,
            showFolderIcon: true,
            showLine: true,
            indent: 20,
            expandedKeys: [-1],

        },
        el: '#demo1',
        height: 'auto',
        data: data.data
    })

    layui.form.render("select");

});
